# -*- coding: utf-8 -*-
def parseClrMameProDat(filename):
    # grep -v 'rom (' gamelist.dat | grep -v 'biosset (' | grep -v 'romof ' | grep -v 'cloneof ' | egrep -v '^\($'| sed '/^\s*$/d'
    tbl = {}
    name, description, year, manufacturer = '', '', None, ''
    for line in open(filename).readlines():
        line = line.strip()
        if line.startswith('game ('):
            continue
        elif line.startswith(')'):
            name, description, year, manufacturer = '', '', None, ''
            continue
        elif line.startswith('name '):
            name = line[len('name '):].strip()
        elif line.startswith('description '):
            description = (line[len('description '):].strip())[1:-1]
        elif line.startswith('year '):
            year = line[len('year '):].strip()
        elif line.startswith('manufacturer '):
            manufacturer = (line[len('manufacturer '):].strip())[1:-1]
        if name and description and year and manufacturer:
            tbl[name] = [manufacturer, year, description]
    keys = sorted(tbl.keys(), key=str.lower)
    for k in keys:
        print '{}:{},'.format(repr(k), repr(tbl[k]))
    print '}'

FBA_GAMEDB_MANUFACTURER, FBA_GAMEDB_YEAR, FBA_GAMEDB_DESCRIPTION = range(3)

allgames = {
'1941':['Capcom', '1990', '1941 - Counter Attack (World)'],
'1941j':['Capcom', '1990', '1941 - Counter Attack (Japan)'],
'1942':['Capcom', '1984', '1942 (set 1)'],
'1942a':['Capcom', '1984', '1942 (set 2)'],
'1942b':['Capcom', '1984', '1942 (set 3)'],
'1944':['Capcom / 8ing / Raizing', '2000', '1944 - the loop master (000620 USA)'],
'1944j':['Capcom / 8ing / Raizing', '2000', '1944 - the loop master (000620 Japan)'],
'1945kiii':['Oriental', '2000', '1945k III'],
'19xx':['Capcom', '1995', '19XX - the war against destiny (951207 USA)'],
'19xxa':['Capcom', '1995', '19XX - the war against destiny (951207 Asia)'],
'19xxb':['Capcom', '1995', '19XX - the war against destiny (951218 Brazil)'],
'19xxh':['Capcom', '1995', '19XX - the war against destiny (951218 Hispanic)'],
'19xxj':['Capcom', '1995', '19XX - the war against destiny (951225 Japan)'],
'19xxjr1':['Capcom', '1995', '19XX - the war against destiny (951207 Japan)'],
'2020bb':['SNK / Pallas', '1991', '2020 Super Baseball (set 1)'],
'2020bba':['SNK / Pallas', '1991', '2020 Super Baseball (set 2)'],
'2020bbh':['SNK / Pallas', '1991', '2020 Super Baseball (set 3)'],
'3countb':['SNK', '1993', '3 Count Bout'],
'3in1semi':['SemiCom', '1997', 'XESS - The New Revolution (SemiCom 3-in-1)'],
'3wonders':['Capcom', '1991', 'Three Wonders (wonder 3 910520 etc)'],
'3wonderu':['Capcom', '1991', 'Three Wonders (wonder 3 910520 USA)'],
'4enraya':['IDSA', '1990', '4 En Raya'],
'4in1boot':['K1 Soft', '2002', 'Puzzle King [Bootleg]'],
'abcop':['Sega', '1990', 'A.B. Cop (FD1094 317-0169b)'],
'abscam':['GL (US Billiards License)', '1981', 'Abscam'],
'aburner':['Sega', '1987', 'After Burner (Japan)'],
'aburner2':['Sega', '1987', 'After Burner II'],
'aceattaa':['Sega', '1986', 'Ace Attacker (Japan, System 16A, FD1094 317-0060) [Incomplete Sound]'],
'aceattac':['Sega', '1988', 'Ace Attacker (FD1094 317-0059) [Incomplete Sound]'],
'acitya':['EPOS Corporation', '1983', 'Atlantic City Action'],
'aerofgt':['Video System Co.', '1992', 'Aero Fighters'],
'aerofgtb':['Video System Co.', '1992', 'Aero Fighters (Turbo Force hardware set 1)'],
'aerofgtc':['Video System Co.', '1992', 'Aero Fighters (Turbo Force hardware set 2)'],
'afighter':['Sega', '1986', 'Action Fighter, FD1089A 317-0018'],
'agallet':['BanPresto / Gazelle', '1996', 'Air Gallet'],
'alexkid1':['Sega', '1986', 'Alex Kidd: The Lost Stars (set 1, FD1089A 317-unknown) [Incomplete Sound]'],
'alexkidd':['Sega', '1986', 'Alex Kidd: The Lost Stars (set 2, unprotected) [Incomplete Sound]'],
'alibaba':['Sega', '1982', 'Ali Baba and 40 Thieves'],
'aliensy1':['Sega', '1987', 'Alien Syndrome (set 1, System 16A, FD1089A 317-0033) [Incomplete Sound]'],
'aliensy2':['Sega', '1987', 'Alien Syndrome (set 2, System 16A, FD1089A 317-0033) [Incomplete Sound]'],
'aliensy3':['Sega', '1987', 'Alien Syndrome (set 3, System 16B, FD1089A 317-0033) [Incomplete Sound]'],
'aliensy5':['Sega', '1987', 'Alien Syndrome (set 5, System 16A, FD1089B 317-0037) [Incomplete Sound]'],
'aliensyn':['Sega', '1987', 'Alien Syndrome (set 4, System 16B, unprotected) [Incomplete Sound]'],
'alpham2':['SNK', '1991', 'Alpha Mission II'],
'altbeaj3':['Sega', '1988', 'Juuouki (set 3, Japan, FD1094 317-0068) [Incomplete Sound]'],
'altbeas2':['Sega', '1988', 'Altered Beast (set 2, MC-8123B 317-0066) [No Sound]'],
'altbeas4':['Sega', '1988', 'Altered Beast (set 4, MC-8123B 317-0066) [No Sound]'],
'altbeas5':['Sega', '1988', 'Altered Beast (set 5, 8751 317-0076) [Incomplete Sound]'],
'altbeasj':['Sega', '1988', 'Juuouki (set 6, Japan, 8751 317-0077) [Incomplete Sound]'],
'altbeast':['Sega', '1988', 'Altered Beast (set 7, 8751 317-0078) [Incomplete Sound]'],
'ambush':['Nippon Amuse Co-Ltd', '1983', 'Ambush'],
'ambusht':['Tecfri', '1983', 'Ambush (Tecfri)'],
'ambushv':['Volt Elec co-ltd', '1983', 'Ambush (Volt Elec co-ltd)'],
'androdun':['Visco', '1992', 'Andro Dunos'],
'aodk':['ADK / SNK', '1994', 'Aggressors of Dark Kombat'],
'aof':['SNK', '1992', 'Art of Fighting'],
'aof2':['SNK', '1994', 'Art of Fighting 2 (set 1)'],
'aof2a':['SNK', '1994', 'Art of Fighting 2 (set 2)'],
'aof3':['SNK', '1996', 'Art of Fighting 3 - the path of the warrior'],
'aof3k':['SNK', '1996', 'Art of Fighting 3 - the path of the warrior (korean release)'],
'area88':['Daipro / Capcom', '1989', 'Area 88 (Japan)'],
'arkangc':['bootleg', '1986', 'Arkanoid (Game Corporation bootleg, set 1) [Bootleg]'],
'arkangc2':['bootleg', '1986', 'Arkanoid (Game Corporation bootleg, set 2) [Bootleg]'],
'arkanoid':['Taito Corporation Japan', '1986', 'Arkanoid (World) [Unsupported MCU]'],
'arkatayt':['bootleg', '1986', 'Arkanoid (Tayto bootleg) [Bootleg]'],
'arkbloc2':['bootleg', '1986', 'Block (Game Corporation bootleg, set 2) [Bootleg]'],
'arkblock':['bootleg', '1986', 'Block (Game Corporation bootleg, set 1) [Bootleg]'],
'arkgcbl':['bootleg', '1986', 'Arkanoid (bootleg on Block hardware) [Bootleg]'],
'arktayt2':['bootleg', '1986', 'Arkanoid (Tayto bootleg, harder) [Bootleg]'],
'armwar':['Capcom', '1994', 'Armored Warriors (941024 Europe)'],
'armwara':['Capcom', '1994', 'Armored Warriors (940920 Asia)'],
'armwarr1':['Capcom', '1994', 'Armored Warriors (941011 Europe)'],
'armwaru':['Capcom', '1994', 'Armored Warriors (941024 USA)'],
'astorm':['Sega', '1990', 'Alien Storm (set 4, 2 Players, FD1094 317-?) [Incomplete Sound]'],
'astorm3':['Sega', '1990', 'Alien Storm (set 3, World, 3 Players, FD1094 317-0148) [Incomplete Sound]'],
'astormj':['Sega', '1990', 'Alien Storm (set 1, Japan, 2 Players, FD1094 317-0146) [Incomplete Sound]'],
'astormu':['Sega', '1990', 'Alien Storm (set 2, US, 3 Players, FD1094 317-0147) [Incomplete Sound]'],
'aurail':['Sega / Westone', '1990', 'Aurail (set 3, US, unprotected) [Incomplete Sound]'],
'aurail1':['Sega / Westone', '1990', 'Aurail (set 2, World, FD1089B 317-0168) [Incomplete Sound]'],
'aurailj':['Sega / Westone', '1990', 'Aurail (set 1, Japan, FD1089A 317-0167) [Incomplete Sound]'],
'avsp':['Capcom', '1994', 'Alien vs Predator (940520 Euro)'],
'avspa':['Capcom', '1994', 'Alien vs Predator (940520 Asia)'],
'avsph':['Capcom', '1994', 'Alien vs Predator (940520 Hispanic)'],
'avspj':['Capcom', '1994', 'Alien vs Predator (940520 Japan)'],
'avspu':['Capcom', '1994', 'Alien vs Predator (940520 USA)'],
'bakatono':['Monolith Corp.', '1991', 'Bakatonosama Mahjong Manyuki'],
'bakubrkr':['Kaneko', '1992', 'Bakuretsu Breaker'],
'bangbead':['Visco', '2000', 'Bang Bead'],
'batcir':['Capcom', '1997', 'Battle Circuit (970319 Euro)'],
'batcira':['Capcom', '1997', 'Battle Circuit (970319 Asia)'],
'batcirj':['Capcom', '1997', 'Battle Circuit (970319 Japan)'],
'batrider':['Raizing / 8ing', '1998', 'Armed police Batrider (Batrider ver. Fri Feb 13 1998, Japan)'],
'batridra':['Raizing / 8ing', '1998', 'Armed police Batrider (Batrider ver. Mon Dec 22 1997, Japan)'],
'batridrk':['Raizing / 8ing', '1998', 'Armed police Batrider (Batrider ver. Fri Feb 13 1998, Korea)'],
'batsugna':['Dual Toaplan', '1993', 'Batsugun (set 2) [No sound (sound MCU not dumped)]'],
'batsugun':['Toaplan', '1993', 'Batsugun (set 1) [No sound (sound MCU not dumped)]'],
'batugnsp':['Dual Toaplan', '1993', 'Batsugun Special Ver. [No sound (sound MCU not dumped)]'],
'bayrout1':['Sunsoft / Sega', '1989', 'Bay Route (set 1, US, unprotected) [No Sound, Missing Z80 Program ROM]'],
'bayroute':['Sunsoft / Sega', '1989', 'Bay Route (set 3, World, FD1094 317-0116) [Incomplete Sound]'],
'bayroutj':['Sunsoft / Sega', '1989', 'Bay Route (set 2, Japan, FD1094 317-0115) [Incomplete Sound]'],
'bbakradu':['Eighting', '1999', 'Battle Bakraid - Unlimited Version (ver. Tue Jun 8 1999)'],
'bbakraid':['Eighting', '1999', 'Battle Bakraid (ver. Wed Apr 7 1999)'],
'beastf':['Epos Corporation', '1984', 'Beastie Feastie'],
'berlwall':['Kaneko', '1991', 'The Berlin Wall'],
'berlwalt':['Kaneko', '1991', 'The Berlin Wall (bootleg ?) [Bootleg]'],
'bgaregcn':['Raizing / 8ing', '1996', 'Battle Garegga - Type 2 (Denmark / China) (Tue Apr 2 1996)'],
'bgaregga':['Raizing / 8ing', '1996', 'Battle Garegga (Europe / USA / Japan / Asia) (Sat Feb 3 1996)'],
'bgareghk':['Raizing / 8ing', '1996', 'Battle Garegga (Austria / Hong Kong) (Sat Feb 3 1996)'],
'bgaregnv':['Raizing / 8ing', '1996', 'Battle Garegga - New Version (Austria / Hong Kong) (Sat Mar 2 1996)'],
'bgaregt2':['Raizing / 8ing', '1996', 'Battle Garegga - Type 2 (Europe / USA / Japan / Asia) (Sat Mar 2 1996)'],
'bigbucks':['Dynasoft Inc.', '1986', 'Big Bucks'],
'biomtoy':['Zeus', '1995', 'Biomechanical Toy (unprotected)'],
'bjourney':['Alpha Denshi Co.', '1990', "Blue's Journey"],
'blazeon':['Atlus', '1991', 'Blaze On (Japan)'],
'blazstar':['Yumekobo', '1998', 'Blazing Star'],
'bloodwar':['Kaneko', '1994', 'Blood Warrior'],
'bodyslam':['Sega', '1986', 'Body Slam (8751 317-0015)'],
'bombjac2':['Tehkan', '1984', 'Bomb Jack (set 2)'],
'bombjack':['Tehkan', '1984', 'Bomb Jack (set 1)'],
'bonkadv':['Kaneko', '1994', "B.C. Kid / Bonk's Adventure / Kyukyoku!! PC Genjin"],
'breakers':['Visco', '1996', 'Breakers'],
'breakrev':['Visco', '1998', 'Breakers Revenge'],
'brix':['Cinematronics + Advanced Microcomputer Systems', '1982', 'Brix'],
'bstars':['SNK', '1990', 'Baseball Stars Professional'],
'bstars2':['SNK', '1992', 'Baseball Stars 2'],
'btlkroad':['Psikyo', '1994', 'Battle K-Road'],
'bullet':['Sega', '1987', 'Bullet (FD1094 317-0041) [Incomplete Sound]'],
'burningf':['SNK', '1991', 'Burning Fight (set 1)'],
'burningh':['SNK', '1991', 'Burning Fight (set 2)'],
'bwcasino':['EPOS Corporation', '1983', 'Boardwalk Casino'],
'cannonbp':['Novomatic', '198?', 'Cannon Ball (Pacman Hardware) [wrong colors]'],
'captcomj':['Capcom', '1991', 'Captain Commando (911202 Japan)'],
'captcomm':['Capcom', '1991', 'Captain Commando (911014 other country)'],
'captcomu':['Capcom', '1991', 'Captain Commando (910928 USA)'],
'cawing':['Capcom', '1990', 'Carrier Air Wing (U.S. navy 901012 etc)'],
'cawingj':['Capcom', '1990', 'U.S. Navy (901012 Japan)'],
'cawingr1':['Capcom', '1990', 'Carrier Air Wing (U.S. navy 901009 etc)'],
'cawingu':['Capcom', '1990', 'Carrier Air Wing (U.S. navy 901012 USA)'],
'chikij':['Capcom', '1990', 'Chiki Chiki Boys (900619 Japan)'],
'choko':['Mitchell', '2001', 'Choko (010820 Japan)'],
'cltchitr':['Sega', '1991', 'Clutch Hitter (set 2, US, FD1094 317-0176) [Incomplete Sound]'],
'cltchtrj':['Sega', '1991', 'Clutch Hitter (set 1, Japan, FD1094 317-0175) [Incomplete Sound]'],
'cookbib2':['SemiCom', '1996', 'Cookie & Bibi 2'],
'cookbib3':['SemiCom', '1997', 'Cookie & Bibi 3'],
'cotton':['Sega / Success', '1991', 'Cotton (set 3, World, FD1094 317-0181a) [No Sound]'],
'cottonj':['Sega / Success', '1991', 'Cotton (set 1, Japan, FD1094 317-0179a)) [No Sound]'],
'cottonu':['Sega / Success', '1991', 'Cotton (set 2, US, FD1094 317-0180) [No Sound]'],
'crsword':['Alpha Denshi Co.', '1991', 'Crossed Swords'],
'crush':['Kural Samno Electric', '1981', 'Crush Roller (Kural Samno)'],
'crush2':['Kural Esco Electric', '1981', 'Crush Roller (Kural Esco - bootleg?)'],
'crush3':['Kural Electric', '1981', 'Crush Roller (Kural - bootleg?)'],
'crush4':['Kural TWT', '1981', 'Crush Roller (Kural TWT)'],
'crushbl':['Kural Samno Electric', '1981', 'Crush Roller (bootleg)'],
'crushs':['[Kural] (Sidam bootleg)', '19??', 'Crush Roller (Sidam bootleg)'],
'csclub':['Capcom', '1997', 'Capcom Sports Club (970722 Euro)'],
'cscluba':['Capcom', '1997', 'Capcom Sports Club (970722 Asia)'],
'csclubh':['Capcom', '1997', 'Capcom Sports Club (970722 Hispanic)'],
'csclubj':['Capcom', '1997', 'Capcom Sports Club (970722 Japan)'],
'ct2k3sa':['Phenixsoft', '2003', 'Crouching Tiger Hidden Dragon 2003 Super Plus (alt, bootleg) [Bootleg, Hack of "The King of Fighters 2001"]'],
'ct2k3sp':['Phenixsoft', '2003', 'Crouching Tiger Hidden Dragon 2003 Super Plus (bootleg) [Bootleg, Hack of "The King of Fighters 2001"]'],
'cthd2003':['Phenixsoft', '2003', 'Crouching Tiger Hidden Dragon 2003 (bootleg) [Bootleg, Hack of "The King of Fighters 2001"]'],
'ctomaday':['Visco', '1999', 'Captain Tomaday'],
'ctrpllrp':['hack', '1982', 'Caterpillar Pacman Hack'],
'cworld2j':['Capcom', '1992', 'Capcom World 2 (920611 Japan)'],
'cyberlip':['SNK', '1990', 'Cyber-Lip'],
'cybots':['Capcom', '1995', 'Cyberbots - fullmetal madness (950424 Euro)'],
'cybotsj':['Capcom', '1995', 'Cyberbots - fullmetal madness (950420 Japan)'],
'cybotsu':['Capcom', '1995', 'Cyberbots - fullmetal madness (950424 USA)'],
'daimakai':['Capcom', '1988', 'Dai Makai-Mura (Japan)'],
'daisenpu':['Taito', '1989', 'Daisenpu (Japan)'],
'ddcrew':['Sega', '1991', 'D. D. Crew (set 4, World, 3 Player, FD1094 317-0190) [Incomplete Sound]'],
'ddcrew1':['Sega', '1991', 'D. D. Crew (set 1, World, 4 Player, FD1094 317-?) [Incomplete Sound]'],
'ddcrew2':['Sega', '1991', 'D. D. Crew (set 2, World, 2 Player, FD1094 317-0184) [Incomplete Sound]'],
'ddcrewj':['Sega', '1991', 'D. D. Crew (set 5, Japan, 2 Player, FD1094 317-0182) [Incomplete Sound]'],
'ddcrewu':['Sega', '1991', 'D. D. Crew (set 3, US, 4 Player, FD1094 317-0186) [Incomplete Sound]'],
'ddonpach':['Atlus / Cave', '1997', 'DoDonPachi (1997 2/5 master ver, international)'],
'ddonpchj':['Atlus / Cave', '1997', 'DoDonPachi (1997 2/5 master ver, Japan)'],
'ddsom':['Capcom', '1996', 'Dungeons & Dragons - shadow over mystara (960619 Euro)'],
'ddsoma':['Capcom', '1996', 'Dungeons & Dragons - shadow over mystara (960619 Asia)'],
'ddsomb':['Capcom', '1996', 'Dungeons & Dragons - shadow over mystara (960223 Brazil)'],
'ddsomj':['Capcom', '1996', 'Dungeons & Dragons - shadow over mystara (960619 Japan)'],
'ddsomjr1':['Capcom', '1996', 'Dungeons & Dragons - shadow over mystara (960206 Japan)'],
'ddsomr1':['Capcom', '1996', 'Dungeons & Dragons - shadow over mystara (960223 Euro)'],
'ddsomr2':['Capcom', '1996', 'Dungeons & Dragons - shadow over mystara (960209 Euro)'],
'ddsomr3':['Capcom', '1996', 'Dungeons & Dragons - shadow over mystara (960208 Euro)'],
'ddsomu':['Capcom', '1996', 'Dungeons & Dragons - shadow over mystara (960619 USA)'],
'ddsomur1':['Capcom', '1996', 'Dungeons & Dragons - shadow over mystara (960209 USA)'],
'ddtod':['Capcom', '1994', 'Dungeons & Dragons - tower of doom (940412 Euro)'],
'ddtoda':['Capcom', '1994', 'Dungeons & Dragons - tower of doom (940113 Asia)'],
'ddtodh':['Capcom', '1994', 'Dungeons & Dragons - tower of doom (940125 Hispanic)'],
'ddtodj':['Capcom', '1994', 'Dungeons & Dragons - tower of doom (940125 Japan)'],
'ddtodjr1':['Capcom', '1994', 'Dungeons & Dragons - tower of doom (940113 Japan)'],
'ddtodr1':['Capcom', '1994', 'Dungeons & Dragons - tower of doom (940113 Euro)'],
'ddtodu':['Capcom', '1994', 'Dungeons & Dragons - tower of doom (940125 USA)'],
'ddtodur1':['Capcom', '1994', 'Dungeons & Dragons - tower of doom (940113 USA)'],
'ddux':['Sega', '1989', 'Dynamite Dux (set 2, FD1094 317-0096)'],
'ddux1':['Sega', '1989', 'Dynamite Dux (set 1, 8751 317-0095)'],
'dduxbl':['bootleg', '1989', 'Dynamite Dux (bootleg) [Bootleg]'],
'defense':['Sega', '1987', 'Defense (System 16B, FD1089A 317-0028)'],
'desertbr':['Sega', '1992', 'Desert Breaker (FD1094 317-0196) [Incomplete Sound]'],
'dfeveron':['Cave / Nihon System inc.', '1998', 'Dangun Feveron (Japan ver. Thu Sep 17 1998)'],
'diggerma':['Face', '1994 / 2000', 'Digger Man [Prototype]'],
'dimahoo':['8ing / Raizing / Capcom', '2000', 'Dimahoo (000121 Euro)'],
'dimahoou':['8ing / Raizing / Capcom', '2000', 'Dimahoo (000121 USA)'],
'dino':['Capcom', '1993', 'Cadillacs & Dinosaurs (930201 etc)'],
'dinoj':['Capcom', '1993', 'Cadillacs Kyouryuu-Shinseiki (Cadillacs 930201 Japan)'],
'dinou':['Capcom', '1993', 'Cadillacs & Dinosaurs (930201 USA)'],
'dogyuun':['Toaplan', '1992', 'Dogyuun [No sound (sound MCU not dumped)]'],
'donpachi':['Atlus / Cave', '1995', 'DonPachi (ver. 1.01 1995/05/11, U.S.A)'],
'donpachk':['Atlus / Cave', '1995', 'DonPachi (ver. 1.12 1995/05/2x, Hong Kong)'],
'donpacjp':['Atlus / Cave', '1995', 'DonPachi (ver. 1.01 1995/05/11, Japan)'],
'donpackr':['Atlus / Cave', '1995', 'DonPachi (ver. 1.12 1995/05/2x, Korea)'],
'dotriku2':['Sega', '1990', 'Dottori Kun (old version)'],
'dotrikun':['Sega', '1990', 'Dottori Kun (new version)'],
'doubledr':['Technos', '1995', 'Double Dragon'],
'dremshpr':['Sanritsu', '1982', 'Dream Shopper'],
'drgw2':['IGS', '1997', 'Dragon World II (V110X, Export) [Unemulated protection]'],
'drgw2c':['IGS', '1997', 'Zhong Guo Long II (V100C, China)'],
'dstlk':['Capcom', '1994', 'Darkstalkers - the night warriors (940705 Euro)'],
'dstlka':['Capcom', '1994', 'Darkstalkers - the night warriors (940705 Asia)'],
'dstlku':['Capcom', '1994', 'Darkstalkers - the night warriors (940818 USA)'],
'dstlkur1':['Capcom', '1994', 'Darkstalkers - the night warriors (940705 USA)'],
'dumpmtmt':['Sega', '1986', 'Dump Matsumoto (Japan, 8751 317-unknown)'],
'dunkshot':['Sega', '1986', 'Dunk Shot (FD1089 317-0022)'],
'dynwar':['Capcom', '1989', 'Dynasty Wars (World)'],
'dynwarj':['Capcom', '1989', 'Tenchi wo Kurau (Japan)'],
'ecofghta':['Capcom', '1993', 'Eco Fighters (931203 Asia)'],
'ecofghtr':['Capcom', '1993', 'Eco Fighters (931203 etc)'],
'ecofghtu':['Capcom', '1993', 'Eco Fighters (940215 USA)'],
'ecofgtu1':['Capcom', '1993', 'Eco Fighters (931203 USA)'],
'eggor':['Telko', '1982', 'Eggor'],
'eightman':['SNK / Pallas', '1991', 'Eight Man'],
'endurobl':['bootleg', '1986', 'Enduro Racer (bootleg set 1) [Bootleg]'],
'enduror':['Sega', '1986', 'Enduro Racer (YM2151, FD1089B 317-0013A) [Problem with PCM samples]'],
'enduror1':['Sega', '1986', 'Enduro Racer (YM2203, FD1089B 317-0013A)'],
'esprade':['Atlus / Cave', '1998', 'ESP Ra.De. (1998 4/22 international ver.)'],
'espradej':['Atlus / Cave', '1998', 'ESP Ra.De. (Japan, 1998 4/21 master ver.)'],
'espradeo':['Atlus / Cave', '1998', 'ESP Ra.De. (Japan, 1998 4/14 master ver.)'],
'eswat':['Sega', '1989', 'E-Swat - Cyber Police (set 3, World, FD1094 317-0130) [Incomplete Sound]'],
'eswatbl':['bootleg', '1989', 'E-Swat - Cyber Police (bootleg) [Bootleg, Incomplete Sound]'],
'eswatj':['Sega', '1989', 'E-Swat - Cyber Police (set 1, Japan, FD1094 317-0128) [Incomplete Sound]'],
'eswatu':['Sega', '1989', 'E-Swat - Cyber Police (set 2, US, FD1094 317-0129) [Incomplete Sound]'],
'exctleag':['Sega', '1989', 'Excite League (FD1094 317-0079) [Incomplete Sound]'],
'explbrkr':['Kaneko', '1992', 'Explosive Breaker'],
'eyes':['Digitrex Techstar (Rock-ola license)', '1982', 'Eyes (Digitrex Techstar)'],
'eyes2':['Techstar (Rock-ola license)', '1982', 'Eyes (Techstar)'],
'eyeszac':['Zaccaria / bootleg', '1982', 'Eyes (Zaccaria)'],
'fantasia':['Comad / New Japan System', '1994', 'Fantasia'],
'fantsia2':['Comad', '1997', 'Fantasia II (Explicit)'],
'fantsy95':['Hi-max Technology Inc.', '1995', "Fantasy '95"],
'fantzon1':['Sega', '1986', 'Fantasy Zone (set 1, unprotected)'],
'fantzone':['Sega', '1986', 'Fantasy Zone (set 2, unprotected)'],
'fatfursa':['SNK', '1993', 'Fatal Fury Special (set 2)'],
'fatfursp':['SNK', '1993', 'Fatal Fury Special (set 1)'],
'fatfury1':['SNK', '1992', 'Fatal Fury - king of fighters'],
'fatfury2':['SNK', '1992', 'Fatal Fury 2'],
'fatfury3':['SNK', '1995', 'Fatal Fury 3 - road to the final victory'],
'fbfrenzy':['SNK', '1992', 'Football Frenzy'],
'feversos':['Cave / Nihon System inc.', '1998', 'Fever SOS (International ver. Fri Sep 25 1998)'],
'ffight':['Capcom', '1989', 'Final Fight (World)'],
'ffightj':['Capcom', '1989', 'Final Fight (Japan)'],
'ffightj1':['Capcom', '1989', 'Final Fight (900305 Japan)'],
'ffightu':['Capcom', '1989', 'Final Fight (USA)'],
'ffightua':['Capcom', '1989', 'Final Fight (900112 USA)'],
'ffightub':['Capcom', '1989', 'Final Fight (900613 USA)'],
'fightfev':['Viccom', '1994', 'Fight Fever (set 1)'],
'fightfva':['Viccom', '1994', 'Fight Fever (set 2)'],
'finalttr':['Jeil Computer System', '1993', 'Final Tetris'],
'flipshot':['Visco', '1998', 'Battle Flip Shot'],
'fntsia2a':['Comad', '1997', 'Fantasia II (Less Explicit)'],
'forgottn':['Capcom', '1988', 'Forgotten Worlds (US)'],
'fpoint':['Sega', '1989', 'Flash Point (set 2, Japan, FD1094 317-0127A)'],
'fpoint1':['Sega', '1989', 'Flash Point (set 1, Japan, FD1094 317-0127A)'],
'fpointbj':['bootleg', '1989', 'Flash Point (Japan, bootleg) [Bootleg]'],
'fpointbl':['bootleg', '1989', 'Flash Point (World, bootleg) [Bootleg]'],
'freeze':['Cinematronics', '1984', 'Freeze'],
'fstarfrc':['Tecmo', '1992', 'Final Star Force (US)'],
'fswords':['SNK', '1995', 'Fighters Swords (bootleg) [Bootleg, Korean version of "Samurai Shodown III"]'],
'gaia':['Noise Factory', '1999', 'Gaia Crusaders'],
'galaxyfg':['Sunsoft', '1995', 'Galaxy Fight - universal warriors'],
'galhustl':['ACE International', '1997', 'Gals Hustler'],
'galpanic':['Kaneko', '1990', 'Gals Panic (Unprotected)'],
'ganryu':['Visco', '1999', 'Ganryu'],
'garou':['SNK', '1999', 'Garou - mark of the wolves (set 1)'],
'garoubl':['bootleg', '1999', 'Garou - mark of the wolves (bootleg) [Bootleg]'],
'garouo':['SNK', '1999', 'Garou - mark of the wolves (set 2)'],
'garoup':['SNK', '1999', 'Garou - mark of the wolves (prototype) [Prototype]'],
'gensitou':['SNK', '1989', "Genshi-Tou 1930's (Japan) [Incomplete Sound]"],
'getstar':['Taito', '1986', 'Guardian [Protection MCU not emulated]'],
'getstarb':['Taito', '1986', 'Get Star (bootleg, set 1) [Bootleg]'],
'gforce2':['Sega', '1988', 'Galaxy Force 2'],
'gforce2j':['Sega', '1988', 'Galaxy Force 2 (Japan)'],
'ghostlop':['Data East Corporation', '1994', 'Ghostlop [Prototype]'],
'ghouls':['Capcom', '1988', "Ghouls'n Ghosts (World)"],
'ghoulsu':['Capcom', '1988', "Ghouls'n Ghosts (US)"],
'gigawing':['Capcom', '1999', 'Giga Wing (990222 USA)'],
'ginkun':['Tecmo', '1995', 'Ganbare Ginkun [Imperfect GFX]'],
'gloc':['Sega', '1990', 'G-LOC Air Battle (US)'],
'glocr360':['Sega', '1990', 'G-LOC R360'],
'gmahou':['8ing / Raizing / Capcom', '2000', 'Great Mahou Daisakusen (000121 Japan)'],
'goalx3':['Visco', '1995', 'Goal! Goal! Goal!'],
'goldnax1':['Sega', '1989', 'Golden Axe (set 1, World, FD1094 317-0110) [Incomplete Sound]'],
'goldnax2':['Sega', '1989', 'Golden Axe (set 2, US, 8751 317-0112) [Incomplete Sound]'],
'goldnax3':['Sega', '1989', 'Golden Axe (set 3, World, FD1094 317-0120) [Incomplete Sound]'],
'goldnaxe':['Sega', '1989', 'Golden Axe (set 6, US, 8751 317-123A) [Incomplete Sound]'],
'goldnaxj':['Sega', '1989', 'Golden Axe (set 4, Japan, FD1094 317-0121) [Incomplete Sound]'],
'goldnaxu':['Sega', '1989', 'Golden Axe (set 5, US, FD1094 317-0122) [Incomplete Sound]'],
'gorkans':['Techstar', '1983', 'Gorkans'],
'gowcaizr':['Technos', '1996', 'Voltage Fighter - Gowcaizer'],
'gpilots':['SNK', '1991', 'Ghost Pilots'],
'gprider':['Sega', '1990', 'GP Rider (set 2, World, FD1094 317-0163)'],
'gprider1':['Sega', '1990', 'GP Rider (set 1, US, FD1094 317-0162)'],
'grdians':['Banpresto', '1995', 'Guardians'],
'grindsta':['Toaplan GP9001 based', '1992', 'Grind Stormer (older set) [No sound (sound MCU not dumped)]'],
'grindstm':['Toaplan', '1992', 'Grind Stormer [No sound (sound MCU not dumped)]'],
'gtmr':['Kaneko', '1994', '1000 Miglia: Great 1000 Miles Rally (94/07/18)'],
'gtmr2':['Kaneko', '1995', 'Mille Miglia 2: Great 1000 Miles Rally (95/05/24)'],
'gtmr2a':['Kaneko', '1995', 'Mille Miglia 2: Great 1000 Miles Rally (95/04/04)'],
'gtmr2u':['Kaneko', '1995', 'Great 1000 Miles Rally 2 USA (95/05/18)'],
'gtmra':['Kaneko', '1994', '1000 Miglia: Great 1000 Miles Rally (94/06/13)'],
'gtmre':['Kaneko', '1994', 'Great 1000 Miles Rally: Evolution Model!!! (94/09/06)'],
'gtmrusa':['Kaneko', '1994', 'Great 1000 Miles Rally: U.S.A Version! (94/09/06)'],
'gtstarba':['Taito', '1986', 'Get Star (bootleg, set 2) [Bootleg]'],
'gunbird':['Psikyo', '1994', 'Gunbird (World)'],
'gunbirdj':['Psikyo', '1994', 'Gunbird (Japan)'],
'gunbirdk':['Psikyo', '1994', 'Gunbird (Korea)'],
'gururin':['Face', '1994', 'Gururin'],
'guwange':['Atlus / Cave', '1999', 'Guwange (Japan, 1999 6/24 master ver.)'],
'gwinga':['Capcom', '1999', 'Giga Wing (990222 Asia)'],
'gwingj':['Capcom', '1999', 'Giga Wing (990223 Japan)'],
'hangly':['hack', '1981', 'Hangly-Man (set 1)'],
'hangly2':['hack', '1981', 'Hangly-Man (set 2)'],
'hangly3':['hack', '1981', 'Hangly-Man (set 3)'],
'hangon':['Sega', '1985', 'Hang-On (rev A)'],
'hangon1':['Sega', '1985', 'Hang-On'],
'hellfir1':['Toaplan (Taito License)', '1989', 'Hellfire (1P Ver.)'],
'hellfir2':['Toaplan (Taito License)', '1989', 'Hellfire (2P Ver., first edition)'],
'hellfire':['Toaplan (Taito License)', '1989', 'Hellfire (2P Ver.)'],
'honeydol':['Barko Corp', '1995', 'Honey Dolls'],
'hsf2':['Capcom', '2004', 'Hyper Street Fighter 2: The Anniversary Edition (040202 Asia)'],
'hsf2j':['Capcom', '2004', 'Hyper Street Fighter 2: The Anniversary Edition (031222 Japan)'],
'hwchamp':['Sega', '1987', 'Heavyweight Champ'],
'hyperpac':['SemiCom', '1995', 'Hyper Pacman'],
'hyperpcb':['SemiCom', '1995', 'Hyper Pacman (bootleg) [Bootleg]'],
'irrmaze':['SNK / Saurus', '1997', 'The Irritating Maze'],
'jack':['Cinematronics', '1982', 'Jack the Giantkiller (set 1)'],
'jack2':['Cinematronics', '1982', 'Jack the Giantkiller (set 2)'],
'jack3':['Cinematronics', '1982', 'Jack the Giantkiller (set 3)'],
'janshin':['Aicom', '1994', 'Jyanshin Densetsu - quest of jongmaster'],
'jockeygp':['Sun Amazement / Brezzasoft', '2001', 'Jockey Grand Prix'],
'joinem':['Global Corporation', '1986', 'Joinem [imperfect controls]'],
'jojo':['Capcom', '1998', 'JoJo no Kimyouna Bouken'],
'jojoaltn':['Capcom', '1998', "JoJo's Venture"],
'jojoba':['Capcom', '1999', 'JoJo no Kimyouna Bouken: Miraie no Isan'],
'jojoban':['Capcom', '1999', 'JoJo no Kimyouna Bouken: Miraie no Isan'],
'jojobane':['Capcom', '1999', "JoJo's Bizarre Adventure"],
'jojon':['Capcom', '1998', "JoJo's Venture"],
'joyjoy':['SNK', '1990', 'Puzzled'],
'joyman':['hack', '1982', 'Joyman'],
'jumpshot':['Bally Midway', '1985', 'Jump Shot'],
'jumpshtp':['Bally Midway', '1985', 'Jump Shot Engineering Sample'],
'jyangoku':['Mitchell', '1999', 'Jyangokushi  -Haoh no Saihai- (990527 Japan)'],
'kabukikl':['Hudson Soft', '1995', 'Kabuki Klash - far east of eden'],
'karatblj':['Video System Co.', '1991', 'Karate Blazers (Japan)'],
'karatblu':['Video System Co.', '1991', 'Karate Blazers (US)'],
'karatblz':['Video System Co.', '1991', 'Karate Blazers (World?)'],
'karnovr':['Data East Corporation', '1994', "Karnov's Revenge"],
'kbash':['Toaplan', '1993', 'Knuckle Bash [No sound (sound MCU not emulated)]'],
'kf10thep':['bootleg', '2005', 'The King of Fighters 10th Anniversary Extra Plus (bootleg) [Bootleg, bootleg of "The King of Fighters 2002"]'],
'kf2k2mp':['bootleg', '2002', 'The King of Fighters 2002 Magic Plus (bootleg) [Bootleg, bootleg of "The King of Fighters 2002"]'],
'kf2k2mp2':['bootleg', '2002', 'The King of Fighters 2002 Magic Plus II (bootleg) [Bootleg, bootleg of "The King of Fighters 2002"]'],
'kf2k2pla':['bootleg', '2002', 'The King of Fighters 2002 Plus (bootleg, set 2) [Bootleg, bootleg of "The King of Fighters 2002"]'],
'kf2k2pls':['bootleg', '2002', 'The King of Fighters 2002 Plus (bootleg, set 1) [Bootleg, bootleg of "The King of Fighters 2002"]'],
'kf2k3bl':['bootleg', '2003', 'The King of Fighters 2003 (bootleg, set 1) [Bootleg, bootleg of "The King of Fighters 2003"]'],
'kf2k3bla':['bootleg', '2003', 'The King of Fighters 2003 (bootleg, set 2) [Bootleg, bootleg of "The King of Fighters 2003"]'],
'kf2k3pcb':['SNK Playmore', '2003', 'The King of Fighters 2003 (Japan, JAMMA PCB)'],
'kf2k3pl':['bootleg', '2003', 'The King of Fighters 2004 Plus / Hero (bootleg) [Bootleg, bootleg of "The King of Fighters 2003"]'],
'kf2k3upl':['bootleg', '2003', 'The King of Fighters 2004 Ultra Plus (bootleg) [Bootleg, bootleg of "The King of Fighters 2003"]'],
'kf2k5uni':['bootleg', '2004', 'The King of Fighters 10th Anniversary 2005 Unique (bootleg) [Bootleg, bootleg of "The King of Fighters 2002"]'],
'killbld':['IGS', '1998', 'The Killing Blade (V104) [Not working]'],
'killbldt':['IGS', '1998', 'The Killing Blade (V109, Chinese Board) [Unemulated protection]'],
'kingdmgp':['Raizing / 8ing', '1994', 'Kingdom Grandprix (World)'],
'kizuna':['SNK', '1996', 'Kizuna Encounter - super tag battle'],
'knights':['Capcom', '1991', 'Knights of the Round (911127 etc)'],
'knightsj':['Capcom', '1991', 'Knights of the Round (911127 Japan)'],
'knightsu':['Capcom', '1991', 'Knights of the Round (911127 USA)'],
'kod':['Capcom', '1991', 'The King of Dragons (910711 etc)'],
'kodj':['Capcom', '1991', 'The King of Dragons (Japan 910805)'],
'kodu':['Capcom', '1991', 'The King of Dragons (US 910910)'],
'kof10th':['bootleg', '2002', 'The King of Fighters 10th Anniversary (bootleg) [Bootleg, bootleg of "The King of Fighters 2002"]'],
'kof2000':['SNK', '2000', 'The King of Fighters 2000'],
'kof2000n':['SNK', '2000', 'The King of Fighters 2000 (not encrypted)'],
'kof2001':['SNK / Eolith', '2001', 'The King of Fighters 2001 (set 1)'],
'kof2001h':['SNK / Eolith', '2001', 'The King of Fighters 2001 (set 2)'],
'kof2002':['Eolith / Playmore Corporation', '2002', 'The King of Fighters 2002 - challenge to ultimate battle'],
'kof2003':['SNK Playmore', '2003', 'The King of Fighters 2003 (MVS)'],
'kof2k4se':['bootleg', '2004', 'The King of Fighters Special Edition 2004 (bootleg) [Bootleg, bootleg of "The King of Fighters 2002"]'],
'kof94':['SNK', '1994', "The King of Fighters '94"],
'kof95':['SNK', '1995', "The King of Fighters '95 (set 1)"],
'kof95a':['SNK', '1995', "The King of Fighters '95 (set 2)"],
'kof96':['SNK', '1996', "The King of Fighters '96 (set 1)"],
'kof96h':['SNK', '1996', "The King of Fighters '96 (set 2)"],
'kof97':['SNK', '1997', "The King of Fighters '97 (set 1)"],
'kof97a':['SNK', '1997', "The King of Fighters '97 (set 2)"],
'kof97pls':['bootleg', '1997', 'The King of Fighters \'97 Plus (bootleg) [Bootleg, bootleg of "The King of Fighters \'97"]'],
'kof98':['SNK', '1998', "The King of Fighters '98 - the slugfest"],
'kof98k':['SNK', '1998', "The King of Fighters '98 - the slugfest (korean release)"],
'kof98n':['SNK', '1998', "The King of Fighters '98 - the slugfest (not encrypted)"],
'kof99':['SNK', '1999', "The King of Fighters '99 - millennium battle (set 1)"],
'kof99a':['SNK', '1999', "The King of Fighters '99 - millennium battle (set 2)"],
'kof99e':['SNK', '1999', "The King of Fighters '99 - millennium battle (earlier)"],
'kof99n':['SNK', '1999', "The King of Fighters '99 - millennium battle (not encrypted)"],
'kof99p':['SNK', '1999', "The King of Fighters '99 - millennium battle (prototype) [Prototype]"],
'kog':['bootleg', '1997', 'King of Gladiator (bootleg) [Bootleg, bootleg of "The King of Fighters \'97"]'],
'korosuke':['Kural Electric', '1981', 'Korosuke Roller'],
'kotm':['SNK', '1991', 'King of the Monsters (set 1)'],
'kotm2':['SNK', '1992', 'King of the Monsters 2 - the next thing'],
'kotmh':['SNK', '1991', 'King of the Monsters (set 2)'],
'kov':['IGS', '1999', 'Knights of Valour'],
'kov115':['IGS', '1999', 'Knights of Valour'],
'kovj':['IGS', '1999', 'Knights of Valour'],
'kovplus':['IGS', '1999', 'Knights of Valour Plus'],
'kovplusa':['IGS', '1999', 'Knights of Valour Plus'],
'lans2004':['bootleg', '1998', 'Lansquenet 2004 (bootleg) [Bootleg, bootleg of "Shock Troopers - 2nd squad"]'],
'lastblad':['SNK', '1997', 'The Last Blade (set 1)'],
'lastbld2':['SNK', '1998', 'The Last Blade 2'],
'lastbldh':['SNK', '1997', 'The Last Blade (set 2)'],
'lastduel':['Capcom', '1988', 'Last Duel (US set 1)'],
'lastsold':['SNK', '1997', 'The Last Soldier [Korean version of "The Last Blade"]'],
'lbowling':['SNK', '1990', 'League Bowling'],
'ledstorm':['Capcom', '1988', 'Led Storm (US)'],
'legendos':['SNK', '1991', 'Legend of Success Joe'],
'lghost':['Sega', '1990', 'Laser Ghost (set 2, World, 317-0166) [Incomplete Sound]'],
'lghostu':['Sega', '1990', 'Laser Ghost (set 1, US, 317-0165) [Incomplete Sound]'],
'lizwiz':['Techstar (Sunn license)', '1985', 'Lizard Wizard'],
'loffire':['Sega', '1989', 'Line of Fire / Bakudan Yarou (World, FD1094 317-0136)'],
'loffirej':['Sega', '1989', 'Line of Fire / Bakudan Yarou (Japan, FD1094 317-0134)'],
'loffireu':['Sega', '1989', 'Line of Fire / Bakudan Yarou (US, FD1094 317-0135)'],
'lostwrld':['Capcom', '1988', 'Lost Worlds (Japan)'],
'loverboy':['G.T Enterprise Inc', '1983', 'Lover Boy'],
'lresort':['SNK', '1992', 'Last Resort'],
'lstduela':['Capcom', '1988', 'Last Duel (US set 2)'],
'lstduelb':['bootleg', '1988', 'Last Duel (bootleg) [Bootleg]'],
'madgear':['Capcom', '1989', 'Mad Gear (US)'],
'madgearj':['Capcom', '1989', 'Mad Gear (Japan)'],
'magdrop2':['Data East Corporation', '1996', 'Magical Drop II'],
'magdrop3':['Data East Corporation', '1997', 'Magical Drop III'],
'maglord':['Alpha Denshi Co.', '1990', 'Magician Lord (set 1)'],
'maglordh':['Alpha Denshi Co.', '1990', 'Magician Lord (set 2)'],
'mahoudai':['Raizing', '1993', 'Mahou Daisakusen (Japan)'],
'mahretsu':['SNK', '1990', 'Mahjong Kyoretsuden - real mah-jong game'],
'maketrax':['[Kural] (Williams license)', '1981', 'Make Trax (set 1)'],
'maketrxb':['[Kural] (Williams license)', '1981', 'Make Trax (set 2)'],
'marukodq':['Takara', '1995', 'Chibi Marukochan Deluxe Quiz'],
'matrim':['Playmore / Noise Factory / Atlus', '2002', 'Shin gouketsuzi ichizoku - Toukon'],
'mbomberj':['Capcom', '1993', 'Muscle Bomber - the body explosion (930713 Japan)'],
'mbombrd':['Capcom', '1993', 'Muscle Bomber Duo - ultimate team battle (931206 etc)'],
'mbombrdj':['Capcom', '1993', 'Muscle Bomber Duo - heat up warriors (931206 Japan)'],
'mbrush':['bootleg', '1981', 'Magic Brush'],
'megadon':['Epos Corporation (Photar Industries License)', '1982', 'Megadon'],
'megaman':['Capcom', '1995', 'Mega Man - the power battle (951006 Asia)'],
'megaman2':['Capcom', '1996', 'Mega Man 2 - the power fighters (960708 USA)'],
'megamn2a':['Capcom', '1996', 'Mega Man 2 - the power fighters (960708 Asia)'],
'meijinsn':['SNK Electronics corp.', '1986', 'Meijinsen'],
'mercs':['Capcom', '1990', 'Mercs (900302 etc)'],
'mercsj':['Capcom', '1990', 'Senjo no Ookami II (Ookami 2 900302 Japan)'],
'mercsu':['Capcom', '1990', 'Mercs (900302 USA)'],
'mercsua':['Capcom', '1990', 'Mercs (900608 USA)'],
'mgcrystj':['Kaneko (Atlus license)', '1991', 'Magical Crystals (Japan, 92/01/13)'],
'mgcrystl':['Kaneko', '1991', 'Magical Crystals (World, 92/01/10)'],
'mgcrysto':['Kaneko', '1991', 'Magical Crystals (World, 91/12/10)'],
'miexchng':['Face', '1997', 'Money Puzzle Exchanger'],
'minasan':['Monolith Corp.', '1990', 'Minnasanno Okagesamadesu'],
'minivadr':['Taito Corporation', '1990', 'Minivader'],
'missmw96':['Comad', '1996', "Miss Mister World '96 (Nude)"],
'missw96':['Comad', '1996', "Miss World '96 (Nude)"],
'mj4simai':['Maboroshi Ware', '1996', 'Wakakusamonogatari Mahjong Yonshimai (Japan)'],
'mjleague':['Sega', '1985', 'Major League [Incomplete Sound]'],
'mmancp2u':['Capcom', '1999', 'Mega Man - The Power Battle (951006 USA, SAMPLE Version)'],
'mmatrix':['Capcom / Takumi', '2000', 'Mars Matrix (000412 USA)'],
'mmatrixj':['Capcom / Takumi', '2000', 'Mars Matrix (000412 Japan)'],
'mole':['Yachiyo Electronics, Ltd.', '1982', 'Mole Attack'],
'moremore':['SemiCom / Exit', '1999', 'More More'],
'moremorp':['SemiCom / Exit', '1999', 'More More Plus'],
'mosyougi':['ADK / SNK', '1990', 'Syougi No Tatsujin - master of syougi'],
'mpang':['Mitchell', '2000', 'Mighty! Pang (001010 USA)'],
'mpangj':['Mitchell', '2000', 'Mighty! Pang (001011 Japan)'],
'mrflea':['Pacific Novelty', '1982', 'The Amazing Adventures of Mr. F. Lea'],
'mrtnt':['Telko', '1982', 'Mr. TNT'],
'ms4plus':['bootleg', '2002', 'Metal Slug 4 Plus (bootleg) [Bootleg, bootleg of "Metal Slug 4"]'],
'ms5pcb':['SNK Playmore', '2003', 'Metal Slug 5 (JAMMA PCB)'],
'ms5plus':['bootleg', '2003', 'Metal Slug 5 Plus (bootleg) [Bootleg, bootleg of "Metal Slug 5"]'],
'mschamp':['hack', '1995', 'Ms. Pacman Champion Edition / Super Zola Pac Gal'],
'msh':['Capcom', '1995', 'Marvel Super Heroes (951024 Euro)'],
'msha':['Capcom', '1995', 'Marvel Super Heroes (951024 Asia)'],
'mshb':['Capcom', '1995', 'Marvel Super Heroes (951117 Brazil)'],
'mshh':['Capcom', '1995', 'Marvel Super Heroes (951117 Hispanic)'],
'mshj':['Capcom', '1995', 'Marvel Super Heroes (951117 Japan)'],
'mshjr1':['Capcom', '1995', 'Marvel Super Heroes (951024 Japan)'],
'mshu':['Capcom', '1995', 'Marvel Super Heroes (951024 USA)'],
'mshvsf':['Capcom', '1997', 'Marvel Super Heroes vs Street Fighter (970625 Euro)'],
'mshvsfa':['Capcom', '1997', 'Marvel Super Heroes vs Street Fighter (970625 Asia)'],
'mshvsfa1':['Capcom', '1997', 'Marvel Super Heroes vs Street Fighter (970620 Asia)'],
'mshvsfb':['Capcom', '1997', 'Marvel Super Heroes vs Street Fighter (970827 Brazil)'],
'mshvsfb1':['Capcom', '1997', 'Marvel Super Heroes vs Street Fighter (970625 Brazil)'],
'mshvsfh':['Capcom', '1997', 'Marvel Super Heroes vs Street Fighter (970625 Hispanic)'],
'mshvsfj':['Capcom', '1997', 'Marvel Super Heroes vs Street Fighter (970707 Japan)'],
'mshvsfj1':['Capcom', '1997', 'Marvel Super Heroes vs Street Fighter (970702 Japan)'],
'mshvsfj2':['Capcom', '1997', 'Marvel Super Heroes vs Street Fighter (970625 Japan)'],
'mshvsfu':['Capcom', '1997', 'Marvel Super Heroes vs Street Fighter (970827 USA)'],
'mshvsfu1':['Capcom', '1997', 'Marvel Super Heroes vs Street Fighter (970625 USA)'],
'mslug':['Nazca', '1996', 'Metal Slug - super vehicle-001'],
'mslug2':['SNK', '1998', 'Metal Slug 2 - super vehicle-001/II'],
'mslug3':['SNK', '2000', 'Metal Slug 3'],
'mslug3b6':['bootleg', '2000', 'Metal Slug 6 [Bootleg, bootleg of "Metal Slug 3"]'],
'mslug3n':['SNK', '2000', 'Metal Slug 3 (not encrypted)'],
'mslug4':['Playmore Corporation / Mega Enterprise', '2002', 'Metal Slug 4'],
'mslug5':['SNK Playmore', '2003', 'Metal Slug 5'],
'mslugx':['SNK', '1999', 'Metal Slug X - super vehicle-001'],
'mspacmab':['Namco', '1981', 'MS Pacman (bootleg)'],
'mspacman':['Namco', '1980', 'MS Pacman'],
'mspacmat':['hack', '1980', 'Ms. Pac Attack'],
'mspacmbe':['bootleg', '1981', 'Ms. Pac-Man (bootleg, (encrypted))'],
'mspacmnf':['Midway', '1980', 'Ms. Pac-Man (with speedup hack)'],
'mspacpls':['hack', '1981', 'Ms. Pac-Man Plus'],
'msword':['Capcom', '1990', 'Magic Sword - heroic fantasy (25.07.1990 other country)'],
'mswordj':['Capcom', '1990', 'Magic Sword (23.06.1990 Japan)'],
'mswordr1':['Capcom', '1990', 'Magic Sword - heroic fantasy (90.06.23 other country)'],
'mswordu':['Capcom', '1990', 'Magic Sword - heroic fantasy (25.07.1990 USA)'],
'mtwins':['Capcom', '1990', 'Mega Twins (chiki chiki boys 900619 etc)'],
'mutnat':['SNK', '1992', 'Mutation Nation'],
'mvp':['Sega', '1989', 'MVP (set 2, US, FD1094 317-0143) [Incomplete Sound]'],
'mvpj':['Sega', '1989', 'MVP (set 1, Japan, FD1094 317-0142) [Incomplete Sound]'],
'mvsc':['Capcom', '1998', 'Marvel vs Capcom - clash of super heroes (980112 Euro)'],
'mvsca':['Capcom', '1998', 'Marvel vs Capcom - clash of super heroes (980123 Asia)'],
'mvscar1':['Capcom', '1998', 'Marvel vs Capcom - clash of super heroes (980112 Asia)'],
'mvscb':['Capcom', '1998', 'Marvel vs Capcom - clash of super heroes (980123 Brazil)'],
'mvsch':['Capcom', '1998', 'Marvel vs Capcom - clash of super heroes (980123 Hispanic)'],
'mvscj':['Capcom', '1998', 'Marvel vs Capcom - clash of super heroes (980123 Japan)'],
'mvscjr1':['Capcom', '1998', 'Marvel vs Capcom - clash of super heroes (980112 Japan)'],
'mvscu':['Capcom', '1998', 'Marvel vs Capcom - clash of super heroes (980123 USA)'],
'mwalk':['Sega', '1990', "Michael Jackson's Moonwalker (set 3, World, FD1094/8751 317-0159) [Incomplete Sound]"],
'mwalkbl':['bootleg', '1990', "Michael Jackson's Moonwalker (bootleg) [Bootleg, Incomplete Sound]"],
'myangel':['Namco', '1996', 'Kosodate Quiz My Angel (Japan)'],
'myangel2':['Namco', '1996', 'Kosodate Quiz My Angel 2 (Japan)'],
'nam1975':['SNK', '1990', 'NAM - 1975'],
'ncombat':['Alpha Denshi Co.', '1990', 'Ninja Combat (set 1)'],
'ncombath':['Alpha Denshi Co.', '1990', 'Ninja Combat (set 2)'],
'ncommand':['Alpha Denshi Co.', '1992', 'Ninja Commando'],
'nemo':['Capcom', '1990', 'Nemo (90 11 30 etc)'],
'nemoj':['Capcom', '1990', 'Nemo (90 11 20 Japan)'],
'neobombe':['Hudson Soft', '1997', 'Neo Bomberman'],
'neocup98':['SNK', '1998', "Neo-Geo Cup '98 - the road to the victory"],
'neodrift':['Visco', '1996', 'Neo Drift Out - new technology'],
'neomrdo':['Visco', '1996', 'Neo Mr. Do!'],
'newfant':['Comad / New Japan System', '1995', 'New Fantasia'],
'newpuc2':['hack', '1980', 'Newpuc2'],
'newpuc2b':['hack', '1980', 'Newpuc2b'],
'newpuckx':['hack', '1980', 'New Puck-X'],
'news':['Poby / Virus', '1993', 'News (set 1)'],
'newsa':['Poby / Jeansole', '1993', 'News (set 2)'],
'ninjamas':['ADK / SNK', '1996', "Ninja Master's haoh ninpo cho"],
'nitd':['Eleven / Gavaking', '2000', 'Nightmare in the Dark'],
'nitdbl':['bootleg', '2000', 'Nightmare in the Dark (bootleg) [Bootleg]'],
'nmouse':['Amenip (Palcom Queen River)', '1981', 'Naughty Mouse (set 1)'],
'nmouseb':['Amenip Nova Games Ltd.', '1981', 'Naughty Mouse (set 2)'],
'nwarr':['Capcom', '1995', "Night Warriors - darkstalkers' revenge (950316 Euro)"],
'nwarrb':['Capcom', '1995', "Night Warriors - darkstalkers' revenge (950403 Brazil)"],
'nwarrh':['Capcom', '1995', "Night Warriors - darkstalkers' revenge (950403 Hispanic)"],
'nwarru':['Capcom', '1995', "Night Warriors - darkstalkers' revenge (950406 USA)"],
'ohmygod':['Atlus', '1993', 'Oh My God!'],
'opwolf':['Taito', '1987', 'Operation Wolf (World) [Protection C-Chip not emulated]'],
'opwolfb':['Bear', '1987', 'Operation Bear (bootleg) [Bootleg]'],
'orld105k':['IGS', '1997', 'Oriental Legend (V105, Korean Board)'],
'orld111c':['IGS', '1997', 'Oriental Legend'],
'orlegend':['IGS', '1997', 'Oriental Legend'],
'orlegndc':['IGS', '1997', 'Oriental Legend'],
'orlegnde':['IGS', '1997', 'Oriental Legend'],
'outrun':['Sega', '1986', 'Out Run (sitdown/upright, Rev B)'],
'outrun1':['Sega', '1986', 'Out Run (deluxe sitdown)'],
'outrun2':['Sega', '1986', 'Out Run (sitdown/upright, Rev A)'],
'outrunb':['bootleg', '1986', 'Out Run (bootleg) [Bootleg]'],
'outzone':['Toaplan', '1990', 'Out Zone (set 1)'],
'outzonea':['Toaplan', '1990', 'Out Zone (set 2)'],
'outzoneb':['Toaplan', '1990', 'Out Zone (set 3, prototype?)'],
'outzonec':['Toaplan', '1990', 'Out Zone (set 4)'],
'overtop':['ADK', '1996', 'OverTop'],
'pacgal':['hack', '1981', 'Pac-Gal'],
'pacheart':['hack', '1981', 'Pac-Man (Hearts)'],
'pacman':['[Namco] (Midway license)', '1980', 'Pac-Man (Midway)'],
'pacmanf':['[Namco] (Midway license)', '1980', 'Pac-Man (Midway, with speedup hack)'],
'pacmod':['[Namco] (Midway license)', '1981', 'Pac-Man (Midway, harder)'],
'pacplus':['[Namco] (Midway license)', '1982', 'Pac-Man Plus'],
'paddle2':['bootleg', '1986', 'Paddle 2 (bootleg on Block hardware) [Bootleg]'],
'pang3':['Mitchell', '1995', 'Pang! 3 (950511 Euro)'],
'pang3j':['Mitchell', '1995', 'Pang! 3 (950511 Japan)'],
'panicbom':['Hudson Soft', '1994', 'Panic Bomber'],
'passsht':['Sega', '1988', 'Passing Shot (World, 2 Players, FD1094 317-0080) [Incomplete Sound]'],
'passshta':['Sega', '1988', 'Passing Shot (World, 4 Players, FD1094 317-0074) [Incomplete Sound]'],
'passshtj':['Sega', '1988', 'Passing Shot (Japan, 4 Players, FD1094 317-0070) [Incomplete Sound]'],
'pbobbl2n':['Taito', '1999', 'Puzzle Bobble 2'],
'pbobblen':['Taito', '1994', 'Puzzle Bobble (set 1)'],
'pbobblna':['Taito', '1994', 'Puzzle Bobble (set 2)'],
'pdrift':['Sega', '1988', 'Power Drift (World, Rev A)'],
'pdrifta':['Sega', '1988', 'Power Drift (World)'],
'pdrifte':['Sega', '1988', 'Power Drift (World, Earlier)'],
'pdriftj':['Sega', '1988', 'Power Drift (Japan)'],
'penbros':['Subsino', '2000', 'Penguin Brothers (Japan)'],
'pfghtj':['Capcom', '1997', 'Pocket Fighter (970904 Japan)'],
'pgear':['Capcom', '1994', 'Powered Gear - strategic variant armor equipment (941024 Japan)'],
'pgearr1':['Capcom', '1994', 'Powered Gear - strategic variant armor equipment (940916 Japan)'],
'pgoal':['Saurus', '1996', 'Pleasure Goal - 5 on 5 mini soccer'],
'photoy2k':['IGS', '1999', 'Photo Y2K'],
'piranha':['GL (US Billiards License)', '1981', 'Piranha'],
'piranhah':['hack', '1981', 'Piranha (hack)'],
'piranhao':['GL (US Billiards License)', '1981', 'Piranha (older)'],
'pkunwar':['UPL', '1985', 'Penguin-Kun Wars (US)'],
'pkunwarj':['UPL', '1985', 'Penguin-Kun Wars (Japan)'],
'pnickj':['Compile (Capcom license)', '1994', 'Pnickies (940608 Japan)'],
'pnyaa':['Aiky / Taito', '2003', 'Pochi and Nyaa'],
'ponpoko':['Sigma Enterprises Inc.', '1982', 'Ponpoko'],
'ponpokov':['Sigma Enterprises Inc. (Venture Line license)', '1982', 'Ponpoko (Venture Line)'],
'popbounc':['Video System Co.', '1997', "Pop 'n Bounce"],
'powerina':['Atlus', '1993', 'Power Instinct (USA, bootleg set 1) [Bootleg]'],
'powerinb':['Atlus', '1993', 'Power Instinct (USA, bootleg set 2) [Bootleg]'],
'powerins':['Atlus', '1993', 'Gouketsuji Ichizoku (Japan)'],
'prehisle':['SNK', '1989', 'Prehistoric Isle in 1930 (World) [Incomplete Sound]'],
'prehislu':['SNK of America', '1989', 'Prehistoric Isle in 1930 (US) [Incomplete Sound]'],
'preisle2':['Yumekobo / Saurus', '1999', 'Prehistoric Isle 2'],
'progear':['Capcom / Cave', '2001', 'Progear (010117 USA)'],
'progeara':['Capcom / Cave', '2001', 'Progear (010117 Asia)'],
'progearj':['Capcom / Cave', '2001', 'Progear No Arashi (010117 Japan)'],
'pshot16a':['Sega', '1988', 'Passing Shot (Japan, 4 Players, System 16A, FD1094 317-0071) [Incomplete Sound]'],
'pspikes2':['Video System Co.', '1994', 'Power Spikes II'],
'puckman':['Namco', '1980', 'PuckMan (Japan set 1, Probably Bootleg)'],
'puckmana':['Namco', '1981', 'PuckMan (Japan set 2)'],
'puckmanf':['Namco', '1980', 'PuckMan (Japan set 1 with speedup hack)'],
'puckmanh':['hack', '1981', 'Puckman (Falcom?)'],
'puckmod':['Namco', '1981', 'PuckMan (Japan set 3)'],
'pulstar':['Aicom', '1995', 'Pulstar'],
'punisher':['Capcom', '1993', 'The Punisher (930422 etc)'],
'punishrj':['Capcom', '1993', 'The Punisher (930422 Japan)'],
'punishru':['Capcom', '1993', 'The Punisher (930422 USA)'],
'puzlstar':['IGS', '1999', 'Puzzle Star (V100MG) [Unemulated protection]'],
'puzzldpr':['Taito (Visco license)', '1997', 'Puzzle De Pon R'],
'puzzledp':['Taito (Visco license)', '1995', 'Puzzle De Pon'],
'pzlbowl':['Nihon System / Moss', '1999', 'Puzzle De Bowling (Japan)'],
'pzloop2':['Mitchell, distritued by Capcom', '2001', 'Puzz Loop 2 (010302 Euro)'],
'pzloop2j':['Mitchell, distritued by Capcom', '2001', 'Puzz Loop 2 (010205 Japan)'],
'qad':['Capcom', '1992', 'Quiz & Dragons (capcom quiz game 920701 USA)'],
'qadj':['Capcom', '1992', 'Quiz & Dragons (940921 Japan)'],
'qndream':['Capcom', '1996', 'Quiz Nanairo Dreams - nijiirochou no kiseki (nanairo dreams 960826 Japan)'],
'qtono2':['Capcom', '1995', 'Quiz Tonosama no Yabou 2 Zenkoku-ban (tonosama 2 950123 Japan)'],
'quart2':['Sega', '1986', 'Quartet 2 (unprotected) [Incomplete Sound]'],
'quart21':['Sega', '1986', 'Quartet 2 (8751 317-0010) [Incomplete Sound]'],
'quartet':['Sega', '1986', 'Quartet (Rev A, 8751 317-unknown) [Incomplete Sound]'],
'quartet1':['Sega', '1986', 'Quartet (8751 315-5194) [Incomplete Sound]'],
'quizdai2':['SNK', '1992', 'Quiz Meintantei Neo Geo - quiz daisousa sen part 2'],
'quizdais':['SNK', '1991', 'Quiz Daisousa Sen - the last count down'],
'quizkof':['Saurus', '1995', 'Quiz King of Fighters'],
'quizo':['Seoul Coin Corp.', '1985', 'Quiz Olympic'],
'rachero':['Sega', '1989', 'Racing Hero (FD1094 317-0144)'],
'raf102j':['IGS', '1999', 'Real and Fake'],
'ragnagrd':['Saurus', '1996', 'Operation Ragnagard'],
'rainbow':['Taito', '1987', 'Rainbow Islands (new version)'],
'rainbowe':['Taito', '1988', 'Rainbow Islands (Extra)'],
'rainbowo':['Taito', '1987', 'Rainbow Islands (old version)'],
'rastan':['Taito', '1987', 'Rastan (World)'],
'rastanu':['Taito', '1987', 'Rastan (US set 1)'],
'rastanu2':['Taito', '1987', 'Rastan (US set 2)'],
'rastsag1':['Taito', '1987', 'Rastan Saga (Japan rev 1)'],
'rastsaga':['Taito', '1987', 'Rastan Saga (Japan)'],
'rbff1':['SNK', '1995', 'Real Bout Fatal Fury'],
'rbff2':['SNK', '1998', 'Real Bout Fatal Fury 2 - the newcomers (set 1)'],
'rbff2h':['SNK', '1998', 'Real Bout Fatal Fury 2 - the newcomers (set 2)'],
'rbff2k':['SNK', '1998', 'Real Bout Fatal Fury 2 - the newcomers (Korean Release)'],
'rbffspec':['SNK', '1996', 'Real Bout Fatal Fury Special'],
'rchase':['Sega', '1991', 'Rail Chase (Japan)'],
'rckman2j':['Capcom', '1996', 'Rockman 2 - the power fighters (960708 Japan)'],
'redearth':['Capcom', '1996', 'Red Earth'],
'redeartn':['Capcom', '1996', 'Red Earth'],
'ridhero':['SNK', '1990', 'Riding Hero (set 1)'],
'ridheroh':['SNK', '1990', 'Riding Hero (set 2)'],
'ringdest':['Capcom', '1994', 'Ring of Destruction - slammasters II (940902 Euro)'],
'riot':['NMK', '1992', 'Riot'],
'riotcity':['Sega / Westone', '1991', 'Riot City (Japan) [Incomplete Sound]'],
'rmancp2j':['Capcom', '1999', 'Rockman: The Power Battle (950922 Japan)'],
'roboarma':['SNK', '1991', 'Robo Army (set 2)'],
'roboarmy':['SNK', '1991', 'Robo Army (set 1)'],
'rockmanj':['Capcom', '1995', 'Rockman - the power battle (950922 Japan)'],
'rocktrv2':['Triumph Software Inc.', '1986', 'MTV Rock-N-Roll Trivia (Part 2)'],
'rotd':['Evoga / Playmore', '2002', 'Rage of the Dragons'],
'route16':['Tehkan/Sun (Centuri license)', '1981', 'Route 16'],
'route16a':['Tehkan/Sun (Centuri license)', '1981', 'Route 16 (set 2)'],
'route16b':['bootleg', '1981', 'Route 16 (bootleg)'],
'routex':['bootleg', '1981', 'Route X (bootleg)'],
'ryukyu':['Success / Sega', '1990', 'RyuKyu (Japan, FD1094 317-5023) [Incomplete Sound]'],
's1945':['Psikyo', '1995', 'Strikers 1945'],
's1945a':['Psikyo', '1995', 'Strikers 1945 (Alt)'],
's1945j':['Psikyo', '1995', 'Strikers 1945 (Japan)'],
's1945jn':['Psikyo', '1995', 'Strikers 1945 (Japan, unprotected)'],
's1945k':['Psikyo', '1995', 'Strikers 1945 (Korea)'],
's1945p':['Psikyo', '1999', 'Strikers 1945 plus'],
'sailormn':['BanPresto / Gazelle', '1995', 'Pretty Soldier Sailor Moon (version 95/03/22B)'],
'sailormo':['BanPresto / Gazelle', '1995', 'Pretty Soldier Sailor Moon (version 95/03/22)'],
'samsh5sh':['Yuki Enterprise / SNK Playmore', '2003', 'Samurai Shodown V Special (set 2, censored)'],
'samsh5sn':['Yuki Enterprise / SNK Playmore', '2003', 'Samurai Shodown V Special (set 3, less censored)'],
'samsh5sp':['Yuki Enterprise / SNK Playmore', '2003', 'Samurai Shodown V Special (set 1, uncensored)'],
'samsho':['SNK', '1993', 'Samurai Shodown'],
'samsho2':['SNK', '1994', 'Samurai Shodown II'],
'samsho3':['SNK', '1995', 'Samurai Shodown III (set 1)'],
'samsho3a':['SNK', '1995', 'Samurai Shodown III (set 2)'],
'samsho4':['SNK', '1996', "Samurai Shodown IV - Amakusa's revenge"],
'samsho5':['Yuki Enterprise / SNK Playmore', '2003', 'Samurai Shodown V (set 1)'],
'samsho5b':['bootleg', '2003', 'Samurai Shodown V (bootleg) [Bootleg]'],
'samsho5h':['Yuki Enterprise / SNK Playmore', '2003', 'Samurai Shodown V (set 2)'],
'samuraia':['Psikyo / Banpresto', '1993', 'Samurai Aces (World)'],
'savagere':['SNK', '1995', 'Savage Reign'],
'sdi':['Sega', '1987', 'SDI - Strategic Defense Initiative (Europe, System 16A, FD1089B 317-0027)'],
'sdib':['Sega', '1987', 'SDI - Strategic Defense Initiative (System 16B, FD1089A 317-0028)'],
'sdibl':['Sega', '1987', 'SDI - Strategic Defense Initiative (bootleg)'],
'sdodgeb':['Technos', '1996', 'Super Dodge Ball'],
'sengokh':['SNK', '1991', 'Sengoku (set 2)'],
'sengoku':['SNK', '1991', 'Sengoku (set 1)'],
'sengoku2':['SNK', '1993', 'Sengoku 2'],
'sengoku3':['SNK', '2001', 'Sengoku 3'],
'sf2':['Capcom', '1991', 'Street Fighter II - the world warrior (910522 etc)'],
'sf2accp2':['Capcom', '1992', "Street Fighter II' - champion edition (Hack - Accelerator Pt.II) [Bootleg]"],
'sf2ce':['Capcom', '1992', "Street Fighter II' - champion edition (street fighter 2' 920313 etc)"],
'sf2cej':['Capcom', '1992', "Street Fighter II' - champion edition (street fighter 2' 920513 Japan)"],
'sf2ceua':['Capcom', '1992', "Street Fighter II' - champion edition (street fighter 2' 920313 USA)"],
'sf2ceub':['Capcom', '1992', "Street Fighter II' - champion edition (street fighter 2' 920513 USA)"],
'sf2ceuc':['Capcom', '1992', "Street Fighter II' - champion edition (street fighter 2' 920803 USA)"],
'sf2eb':['Capcom', '1991', 'Street Fighter II - the world warrior (910214 etc)'],
'sf2hf':['Capcom', '1992', "Street Fighter II' - hyper fighting (street fighter 2' T 921209 ETC)"],
'sf2j':['Capcom', '1991', 'Street Fighter II - the world warrior (911210 Japan)'],
'sf2ja':['Capcom', '1991', 'Street Fighter II - the world warrior (910214 Japan)'],
'sf2jc':['Capcom', '1991', 'Street Fighter II - the world warrior (910306 Japan)'],
'sf2koryu':['Capcom', '1992', "Street Fighter II' - champion edition (Hack - kouryu) [Bootleg]"],
'sf2m2':['Capcom', '1992', "Street Fighter II' - champion edition (Hack - M-2) [Bootleg]"],
'sf2m4':['Capcom', '1992', "Street Fighter II' - champion edition (Hack - M-4) [Bootleg]"],
'sf2m5':['Capcom', '1992', "Street Fighter II' - champion edition (Hack - M-5) [Bootleg]"],
'sf2m6':['Capcom', '1992', "Street Fighter II' - champion edition (Hack - M-6) [Bootleg]"],
'sf2m7':['Capcom', '1992', "Street Fighter II' - champion edition (Hack - M-7) [Bootleg]"],
'sf2rb':['Capcom', '1992', "Street Fighter II' - champion edition (Hack - Rainbow set 1) [Bootleg]"],
'sf2rb2':['Capcom', '1992', "Street Fighter II' - champion edition (Hack - Rainbow set 2) [Bootleg]"],
'sf2red':['Capcom', '1992', "Street Fighter II' - champion edition (Hack - Red Wave) [Bootleg]"],
'sf2t':['Capcom', '1992', "Street Fighter II' - hyper fighting (street fighter 2' T 921209 USA)"],
'sf2tj':['Capcom', '1992', "Street Fighter II' Turbo - hyper fighting (street fighter 2' T 921209 Japan)"],
'sf2ua':['Capcom', '1991', 'Street Fighter II - the world warrior (910206 USA)'],
'sf2ub':['Capcom', '1991', 'Street Fighter II - the world warrior (910214 USA)'],
'sf2ud':['Capcom', '1991', 'Street Fighter II - the world warrior (910318 USA)'],
'sf2ue':['Capcom', '1991', 'Street Fighter II - the world warrior (910228 USA)'],
'sf2uf':['Capcom', '1991', 'Street Fighter II - the world warrior (910411 USA)'],
'sf2ui':['Capcom', '1991', 'Street Fighter II - the world warrior (910522 USA)'],
'sf2uk':['Capcom', '1991', 'Street Fighter II - the world warrior (911101 USA)'],
'sf2v004':['Capcom', '1992', "Street Fighter II' - champion edition (Hack - V004) [Bootleg]"],
'sf2yyc':['Capcom', '1992', "Street Fighter II' - champion edition (Hack - YYC) [Bootleg]"],
'sfa':['Capcom', '1995', "Street Fighter Alpha - warriors' dreams (950727 Euro)"],
'sfa2':['Capcom', '1996', 'Street Fighter Alpha 2 (960306 USA)'],
'sfa3':['Capcom', '1998', 'Street Fighter Alpha 3 (980904 Euro)'],
'sfa3b':['Capcom', '1998', 'Street Fighter Alpha 3 (980629 Brazil)'],
'sfa3u':['Capcom', '1998', 'Street Fighter Alpha 3 (980904 USA)'],
'sfa3ur1':['Capcom', '1998', 'Street Fighter Alpha 3 (980629 USA)'],
'sfach':['Capcom', '1995', 'Street Fighter Alpha (950727 CPS Changer)'],
'sfar1':['Capcom', '1995', "Street Fighter Alpha - warriors' dreams (950718 Euro)"],
'sfar2':['Capcom', '1995', "Street Fighter Alpha - warriors' dreams (950627 Euro)"],
'sfar3':['Capcom', '1995', "Street Fighter Alpha - warriors' dreams (950605 Euro)"],
'sfau':['Capcom', '1995', "Street Fighter Alpha - warriors' dreams (950627 USA)"],
'sfiii':['Capcom', '1997', 'Street Fighter III: New Generation (Japan 970204)'],
'sfiii2':['Capcom', '1997', 'Street Fighter III 2nd Impact: Giant Attack (Japan 970930)'],
'sfiii2n':['Capcom', '1997', 'Street Fighter III 2nd Impact: Giant Attack (Asia 970930, NO CD)'],
'sfiii3':['Capcom', '1999', 'Street Fighter III 3rd Strike: Fight for the Future (USA 990512)'],
'sfiii3an':['Capcom', '1999', 'Street Fighter III 3rd Strike: Fight for the Future (Japan 990608, NO CD)'],
'sfiii3n':['Capcom', '1999', 'Street Fighter III 3rd Strike: Fight for the Future (Japan 990512, NO CD)'],
'sfiiin':['Capcom', '1997', 'Street Fighter III: New Generation (Asia 970204, NO CD)'],
'sfz2a':['Capcom', '1996', 'Street Fighter Zero 2 (960227 Asia)'],
'sfz2aa':['Capcom', '1996', 'Street Fighter Zero 2 Alpha (960826 Asia)'],
'sfz2ab':['Capcom', '1996', 'Street Fighter Zero 2 Alpha (960813 Brazil)'],
'sfz2ah':['Capcom', '1996', 'Street Fighter Zero 2 Alpha (960813 Hispanic)'],
'sfz2aj':['Capcom', '1996', 'Street Fighter Zero 2 Alpha (960805 Japan)'],
'sfz2b':['Capcom', '1996', 'Street Fighter Zero 2 (960531 Brazil)'],
'sfz2br1':['Capcom', '1996', 'Street Fighter Zero 2 (960304 Brazil)'],
'sfz2h':['Capcom', '1996', 'Street Fighter Zero 2 (960304 Hispanic)'],
'sfz2j':['Capcom', '1996', 'Street Fighter Zero 2 (960227 Japan)'],
'sfz2n':['Capcom', '1996', 'Street Fighter Zero 2 (960229 Oceania)'],
'sfz3a':['Capcom', '1998', 'Street Fighter Zero 3 (980904 Asia)'],
'sfz3ar1':['Capcom', '1998', 'Street Fighter Zero 3 (980701 Asia)'],
'sfz3j':['Capcom', '1998', 'Street Fighter Zero 3 (980904 Japan)'],
'sfz3jr1':['Capcom', '1998', 'Street Fighter Zero 3 (980727 Japan)'],
'sfz3jr2':['Capcom', '1998', 'Street Fighter Zero 3 (980629 Japan)'],
'sfza':['Capcom', '1995', 'Street Fighter Zero (950627 Asia)'],
'sfzb':['Capcom', '1995', 'Street Fighter Zero (951109 Brazil)'],
'sfzbr1':['Capcom', '1995', 'Street Fighter Zero (950727 Brazil)'],
'sfzch':['Capcom', '1995', 'Street Fighter Zero (951020 CPS Changer)'],
'sfzh':['Capcom', '1995', 'Street Fighter Zero (950627 Hispanic)'],
'sfzj':['Capcom', '1995', 'Street Fighter Zero (950727 Japan)'],
'sfzjr1':['Capcom', '1995', 'Street Fighter Zero (950627 Japan)'],
'sfzjr2':['Capcom', '1995', 'Street Fighter Zero (950605 Japan)'],
'sgemf':['Capcom', '1997', 'Super Gem Fighter Mini Mix (970904 USA)'],
'sgemfa':['Capcom', '1997', 'Super Gem Fighter Mini Mix (970904 Asia)'],
'sgemfh':['Capcom', '1997', 'Super Gem Fighter Mini Mix (970904 Hispanic)'],
'shadfrce':['Technos Japan', '1993', 'Shadow Force (US Version 2)'],
'shadfrcj':['Technos Japan', '1993', 'Shadow Force (Japan Version 2)'],
'shangnle':['Sega', '1991', 'Limited Edition Hang-On'],
'shangon':['Sega', '1987', 'Super Hang-On (sitdown/upright, unprotected)'],
'shangon2':['Sega', '1987', 'Super Hang-On (mini ride-on, Rev A, FD1089B 317-0034)'],
'shangon3':['Sega', '1987', 'Super Hang-On (sitdown/upright, FD1089B 317-0034)'],
'sharrier':['Sega', '1985', 'Space Harrier (Rev A, 8751 315-5163A)'],
'sharrir1':['Sega', '1985', 'Space Harrier (8751 315-5163)'],
'shdance1':['Sega', '1989', 'Shadow Dancer (set 1) [Incomplete Sound]'],
'shdancej':['Sega', '1989', 'Shadow Dancer (set 2, Japan) [Incomplete Sound]'],
'shdancer':['Sega', '1989', 'Shadow Dancer (set 3, US) [Incomplete Sound]'],
'shinobi':['Sega', '1987', 'Shinobi (set 5, System 16A, unprotected) [Incomplete Sound]'],
'shinobi1':['Sega', '1987', 'Shinobi (set 1, System 16A, FD1094 317-0050) [Incomplete Sound]'],
'shinobi2':['Sega', '1987', 'Shinobi (set 2, System 16B, FD1094 317-0049) [Incomplete Sound]'],
'shinobi3':['Sega', '1987', 'Shinobi (set 3, System 16B, MC-8123B 317-0054) [No Sound]'],
'shinobi4':['Sega', '1987', 'Shinobi (set 4, System 16B, unprotected) [Incomplete Sound]'],
'shinobls':['bootleg', '1987', 'Shinobi (Star bootleg, System 16A) [Bootleg, Incomplete Sound]'],
'shippumd':['Raizing / 8ing', '1994', 'Shippu Mahou Daisakusen - kingdom grandprix (Japan)'],
'shocktr2':['Saurus', '1998', 'Shock Troopers - 2nd squad'],
'shocktra':['Saurus', '1997', 'Shock Troopers (set 2)'],
'shocktro':['Saurus', '1997', 'Shock Troopers (set 1)'],
'shootbul':['Bally Midway', '1985', 'Shoot the Bull'],
'sjryuko':['White Board', '1987', 'Sukeban Jansi Ryuko (set 2, System 16B, FD1089B 317-5021) [Incomplete Sound]'],
'sjryuko1':['White Board', '1987', 'Sukeban Jansi Ryuko (set 1, System 16A, FD1089B 317-5021) [Incomplete Sound]'],
'slammast':['Capcom', '1993', 'Saturday Night Slam Masters (Slam Masters 930713 etc)'],
'slammasu':['Capcom', '1993', 'Saturday Night Slam Masters (slam masters 930713 USA)'],
'slapbtjp':['Taito', '1986', 'Slap Fight (Japan bootleg) [Bootleg]'],
'slapbtuk':['Taito', '1986', 'Slap Fight (English bootleg) [Bootleg]'],
'slapfgtr':['Taito', '1986', 'Slap Fight (bootleg) [Bootleg]'],
'slapfigh':['Taito', '1986', 'Slap Fight (set 1) [Protection MCU not emulated]'],
'smbomb':['Capcom', '1994', 'Super Muscle Bomber - the international blowout (940831 Japan)'],
'smbombr1':['Capcom', '1994', 'Super Muscle Bomber - the international blowout (940808 Japan)'],
'smgp':['Sega', '1989', "Super Monaco GP (set 8, World, Rev B, 'Twin', FD1094 317-0126a) [Imperfect Sound]"],
'smgp5':['Sega', '1989', "Super Monaco GP (set 6, World, 'Air Drive Cabinet', FD1094 317-0126) [Imperfect Sound]"],
'smgp6':['Sega', '1989', 'Super Monaco GP (set 7, World, Rev A, FD1094 317-0126a) [Imperfect Sound]'],
'smgpj':['Sega', '1989', 'Super Monaco GP (set 1, Japan, Rev B, FD1094 317-0124a) [Imperfect Sound]'],
'smgpu':['Sega', '1989', 'Super Monaco GP (set 5, US, Rev C, FD1094 317-0125a) [Imperfect Sound]'],
'smgpu1':['Sega', '1989', 'Super Monaco GP (set 4, US, Rev B, FD1094 317-0125a) [Imperfect Sound]'],
'smgpu2':['Sega', '1989', 'Super Monaco GP (set 3, US, Rev A, FD1094 317-0125a) [Imperfect Sound]'],
'smgpu3':['Sega', '1989', 'Super Monaco GP (set 2, US, FD1094 317-0125a) [Imperfect Sound]'],
'sngkace':['Psikyo / Banpresto', '1993', 'Sengoku Ace (Japan)'],
'snowbro2':['[Toaplan] Hanafram', '1994', 'Snow Bros. 2 - with new elves'],
'snowbro3':['bootleg', '2002', 'Snow Brothers 3 - Magical Adventure [Bootleg]'],
'snowbroa':['Toaplan', '1990', 'Snow Bros. - Nick & Tom (set 2)'],
'snowbrob':['Toaplan', '1990', 'Snow Bros. - Nick & Tom (set 3)'],
'snowbroc':['Toaplan', '1990', 'Snow Bros. - Nick & Tom (set 4)'],
'snowbroj':['Toaplan', '1990', 'Snow Bros. - Nick & Tom (Japan)'],
'snowbros':['Toaplan', '1990', 'Snow Bros. - Nick & Tom (set 1)'],
'socbrala':['SNK', '1991', 'Soccer Brawl (set 2)'],
'socbrawl':['SNK', '1991', 'Soccer Brawl (set 1)'],
'solomon':['Tecmo', '1986', "Solomon's Key (US)"],
'solomonj':['Tecmo', '1986', "Solomon's Key (Japan)"],
'sonicbom':['Sega', '1987', 'Sonic Boom (FD1094 317-0053) [Incomplete Sound]'],
'sonicwi':['Video System Co.', '1992', 'Sonic Wings (Japan)'],
'sonicwi2':['Video System Co.', '1994', 'Aero Fighters 2'],
'sonicwi3':['Video System Co.', '1995', 'Aero Fighters 3'],
'spacecho':['bootleg', '1980', 'Space Echo (bootleg)'],
'speakres':['Sun Electronics', '1980', 'Speak & Rescue'],
'spf2t':['Capcom', '1996', 'Super Puzzle Fighter II Turbo (Super Puzzle Fighter 2 Turbo 960620 USA)'],
'spf2ta':['Capcom', '1996', 'Super Puzzle Fighter II Turbo (Super Puzzle Fighter 2 Turbo 960529 Asia)'],
'spf2xj':['Capcom', '1996', 'Super Puzzle Fighter II X (Super Puzzle Fighter 2 X 960531 Japan)'],
'spinlbrj':['V-System Co.', '1990', 'Spinal Breakers (Japan)'],
'spinlbrk':['V-System Co.', '1990', 'Spinal Breakers (World)'],
'spinlbru':['V-System Co.', '1990', 'Spinal Breakers (US)'],
'spinmast':['Data East Corporation', '1993', 'Spin Master'],
'sprglbpg':['bootleg', '1983', 'Super Glob (Pac-Man hardware) German'],
'sprglobp':['Epos Corporation', '1983', 'Super Glob (Pac-Man hardware)'],
'ssf2':['Capcom', '1993', 'Super Street Fighter II - the new challengers (super street fighter 2 930911 etc)'],
'ssf2a':['Capcom', '1993', 'Super Street Fighter II - the new challengers (super street fighter 2 931005 Asia)'],
'ssf2ar1':['Capcom', '1993', 'Super Street Fighter II - the new challengers (super street fighter 2 930914 Asia)'],
'ssf2j':['Capcom', '1993', 'Super Street Fighter II - the new challengers (super street fighter 2 931005 Japan)'],
'ssf2jr1':['Capcom', '1993', 'Super Street Fighter II - the new challengers (super street fighter 2 930911 Japan)'],
'ssf2jr2':['Capcom', '1993', 'Super Street Fighter II - the new challengers (super street fighter 2 930910 Japan)'],
'ssf2t':['Capcom', '1994', 'Super Street Fighter II Turbo (super street fighter 2 X 940223 etc)'],
'ssf2ta':['Capcom', '1994', 'Super Street Fighter II Turbo (super street fighter 2 X 940223 Asia)'],
'ssf2tb':['Capcom', '1993', 'Super Street Fighter II - the tournament battle (931119 etc) [Linkup feature not implemented]'],
'ssf2tbj':['Capcom', '1993', 'Super Street Fighter II - the tournament battle (930911 Japan) [Linkup feature not implemented]'],
'ssf2tbr1':['Capcom', '1993', 'Super Street Fighter II - the tournament battle (930911 etc) [Linkup feature not implemented]'],
'ssf2tu':['Capcom', '1994', 'Super Street Fighter II Turbo (super street fighter 2 X 940323 USA)'],
'ssf2tur1':['Capcom', '1994', 'Super Street Fighter II Turbo (super street fighter 2 X 940223 USA)'],
'ssf2u':['Capcom', '1993', 'Super Street Fighter II - the new challengers (super street fighter 2 930911 USA)'],
'ssf2xj':['Capcom', '1994', 'Super Street Fighter II X - grand master challenge (super street fighter 2 X 940223 Japan)'],
'ssideki':['SNK', '1992', 'Super Sidekicks'],
'ssideki2':['SNK', '1994', 'Super Sidekicks 2 - the world championship'],
'ssideki3':['SNK', '1995', 'Super Sidekicks 3 - the next glory'],
'ssideki4':['SNK', '1996', 'The Ultimate 11 - SNK football championship'],
'sstriker':['Raizing', '1993', 'Sorcer Striker (World)'],
'sstrikra':['Raizing', '1993', 'Sorcer Striker (World, alt)'],
'stakwin':['Saurus', '1995', 'Stakes Winner'],
'stakwin2':['Saurus', '1996', 'Stakes Winner 2'],
'stratvob':['bootleg', '1980', 'Stratovox (bootleg)'],
'stratvox':['[Sun Electronics] (Taito license)', '1980', 'Stratovox'],
'strhoop':['Data East Corporation', '1994', 'Street Hoop'],
'strider':['Capcom', '1989', 'Strider (US set 1)'],
'striderj':['Capcom', '1989', 'Strider Hiryu (Japan set 1)'],
'stridrja':['Capcom', '1989', 'Strider Hiryu (Japan set 2)'],
'stridrua':['Capcom', '1989', 'Strider (US set 2)'],
'striv':['Hara Industries', '1985', 'Super Triv [No sound]'],
'strkfgtr':['Sega', '1991', 'Strike Fighter (Japan)'],
'sucasino':['Data Amusement', '1984', 'Super Casino'],
'superman':['Taito', '1988', 'Superman'],
'superspy':['SNK', '1990', 'The Super Spy'],
'supmodel':['Comad / New Japan System', '1994', 'Super Model'],
'suprglob':['Epos Corporation', '1983', 'Super Glob'],
'suprleag':['Sega', '1987', 'Super League (FD1094 317-0045) [Incomplete Sound]'],
'suprmanj':['Taito', '1988', 'Superman (Japan)'],
'svc':['SNK Playmore', '2003', 'SvC Chaos - SNK vs Capcom (MVS)'],
'svcboot':['bootleg', '2003', 'SvC Chaos - SNK vs Capcom (MVS, bootleg) [Bootleg, bootleg of "SvC Chaos - SNK vs Capcom (MVS)"]'],
'svcpcb':['SNK Playmore', '2003', 'SvC Chaos - SNK vs Capcom (JAMMA PCB, set 1)'],
'svcpcba':['SNK Playmore', '2003', 'SvC Chaos - SNK vs Capcom (JAMMA PCB, set 2)'],
'svcplus':['bootleg', '2003', 'SvC Chaos - SNK vs Capcom Plus (bootleg, set 1) [Bootleg, bootleg of "SvC Chaos - SNK vs Capcom (MVS)"]'],
'svcplusa':['bootleg', '2003', 'SvC Chaos - SNK vs Capcom Plus (bootleg, set 2) [Bootleg, bootleg of "SvC Chaos - SNK vs Capcom (MVS)"]'],
'svcsplus':['bootleg', '2003', 'SvC Chaos - SNK vs Capcom Super Plus (bootleg) [Bootleg, bootleg of "SvC Chaos - SNK vs Capcom (MVS)"]'],
'tekipaki':['Toaplan', '1991', 'Teki Paki [No sound (sound MCU not dumped)]'],
'tengai':['Psikyo', '1996', 'Tengai'],
'tetris':['Sega', '1988', 'Tetris (set 4, Japan, System 16A, FD1094 317-0093)'],
'tetris1':['Sega', '1988', 'Tetris (set 1, Japan, System 16B, FD1094 317-0091)'],
'tetris2':['Sega', '1988', 'Tetris (set 2, Japan, System 16B, FD1094 317-0092)'],
'tetris3':['Sega', '1988', 'Tetris (set 3, Japan, System 16A, FD1094 317-0093a)'],
'tetrisbl':['bootleg', '1988', 'Tetris (bootleg) [Bootleg]'],
'theglob':['Epos Corporation', '1983', 'The Glob'],
'theglob2':['Epos Corporation', '1983', 'The Glob (earlier)'],
'theglob3':['Epos Corporation', '1983', 'The Glob (set 3)'],
'theglobp':['Epos Corporation', '1983', 'The Glob (Pac-Man hardware)'],
'theroes':['Primetek Investments', '2001', 'Thunder Heroes'],
'thndrbd1':['Sega', '1987', 'Thunder Blade (deluxe/standing, unprotected)'],
'thndrbld':['Sega', '1987', 'Thunder Blade (upright, FD1094 317-0056)'],
'tigerh':['Taito', '1985', 'Tiger Heli (US) [Protection MCU not emulated]'],
'tigerhb1':['Taito', '1985', 'Tiger Heli (bootleg, set 1) [Bootleg]'],
'tigerhb2':['Taito', '1985', 'Tiger Heli (bootleg, set 2) [Bootleg]'],
'timesca1':['Sega', '1987', 'Time Scanner (set 1, System 16A, FD1089B 317-0024) [Incomplete Sound]'],
'timescan':['Sega', '1987', 'Time Scanner (set 2, System 16B) [Incomplete Sound]'],
'tophunta':['SNK', '1994', 'Top Hunter - Roddy & Cathy (set 2)'],
'tophuntr':['SNK', '1994', 'Top Hunter - Roddy & Cathy (set 1)'],
'toppyrap':['SemiCom', '1996', 'Toppy & Rappy'],
'toryumon':['Sega / Westone', '1994', 'Toryumon [Incomplete Sound]'],
'toutrun':['Sega', '1989', 'Turbo Out Run (Out Run upgrade, FD1094 317-0118)'],
'toutrun2':['Sega', '1989', 'Turbo Out Run (upright, FD1094 317-unknown)'],
'tpgolf':['SNK', '1990', "Top Player's Golf"],
'trally':['Alpha Denshi Co.', '1991', 'Thrash Rally'],
'tripool':['Noma (Casino Tech license)', '1981', 'Tri-Pool (Casino Tech)'],
'tripoola':['Noma (Costal Games license)', '1981', 'Tri-Pool (Costal Games)'],
'truxton':['[Toaplan] Taito Corporation', '1988', 'Truxton'],
'truxton2':['Toaplan', '1992', 'Truxton II'],
'ttmahjng':['Taito', '1980', 'Mahjong'],
'tturf':['Sega / Sunsoft', '1989', 'Tough Turf (set 2, Japan, 8751 317-0104) [No Sound, Missing Z80 Program]'],
'tturfu':['Sega / Sunsoft', '1989', 'Tough Turf (set 1, US, 8751 317-0099) [Incomplete Sound]'],
'turbofrc':['Video System Co.', '1991', 'Turbo Force'],
'turfmast':['Nazca', '1996', 'Neo Turf Masters'],
'twinadv':['Barko Corp', '1995', 'Twin Adventure (World)'],
'twinadvk':['Barko Corp', '1995', 'Twin Adventure (Korea)'],
'twinhawk':['Taito', '1989', 'Twin Hawk (World)'],
'twinhwku':['Taito', '1989', 'Twin Hawk (US)'],
'twinkle':['SemiCom', '1997', 'Twinkle'],
'twinspri':['ADK', '1996', 'Twinklestar Sprites'],
'tws96':['Tecmo', '1996', "Tecmo World Soccer '96"],
'uecology':['Capcom', '1993', 'Ultimate Ecology (931203 Japan)'],
'unsquad':['Daipro / Capcom', '1989', 'U.N. Squadron (US)'],
'uopoko':['Cave / Jaleco', '1999', 'Puzzle Uo Poko (International)'],
'uopokoj':['Cave / Jaleco', '1999', 'Uo Poko (Japan, ver. 1998 Feb 06)'],
'vampj':['Capcom', '1994', 'Vampire - the night warriors (940705 Japan)'],
'vampja':['Capcom', '1994', 'Vampire - the night warriors (940705 Japan, alt)'],
'vampjr1':['Capcom', '1994', 'Vampire - the night warriors (940630 Japan)'],
'vanvan':['Sanritsu', '1983', 'Van-Van Car'],
'vanvanb':['Karateco', '1983', 'Van-Van Car (set 3)'],
'vanvank':['Karateco', '1983', 'Van-Van Car (Karateco)'],
'varth':['Capcom', '1992', 'Varth - operation thunderstorm (920714 etc)'],
'varthj':['Capcom', '1992', 'Varth - operation thunderstorm (920714 Japan)'],
'varthr1':['Capcom', '1992', 'Varth - operation thunderstorm (920612 etc)'],
'varthu':['Capcom (Romstar license)', '1992', 'Varth - operation thunderstorm (920612 USA)'],
'vfive':['Toaplan', '1993', 'V-Five (Japan) [No sound (sound MCU not dumped)]'],
'vhunt2':['Capcom', '1997', 'Vampire Hunter 2 - darkstalkers revenge (970929 Japan)'],
'vhunt2r1':['Capcom', '1997', 'Vampire Hunter 2 - darkstalkers revenge (970913 Japan)'],
'vhuntj':['Capcom', '1995', "Vampire Hunter - darkstalkers' revenge (950316 Japan)"],
'vhuntjr1':['Capcom', '1995', "Vampire Hunter - darkstalkers' revenge (950307 Japan)"],
'vhuntjr2':['Capcom', '1995', "Vampire Hunter - darkstalkers' revenge (950302 Japan)"],
'viewpoin':['Sammy', '1992', 'Viewpoint'],
'vliner':['Dyna / Brezzasoft', '2001', 'V-Liner (set 1)'],
'vlinero':['Dyna / Brezzasoft', '2001', 'V-Liner (set 2)'],
'vsav':['Capcom', '1997', 'Vampire Savior - the lord of vampire (970519 Euro)'],
'vsav2':['Capcom', '1997', 'Vampire Savior 2 - the lord of vampire (970913 Japan)'],
'vsava':['Capcom', '1997', 'Vampire Savior - the lord of vampire (970519 Asia)'],
'vsavh':['Capcom', '1997', 'Vampire Savior - the lord of vampire (970519 Hispanic)'],
'vsavj':['Capcom', '1997', 'Vampire Savior - the lord of vampire (970519 Japan)'],
'vsavu':['Capcom', '1997', 'Vampire Savior - the lord of vampire (970519 USA)'],
'wakuwak7':['Sunsoft', '1996', 'Waku Waku 7'],
'wallc':['Midcoin', '1984', 'Wall Crash (set 1)'],
'wallca':['Midcoin', '1984', 'Wall Crash (set 2)'],
'wb3':['Sega / Westone', '1988', 'Wonder Boy III - Monster Lair (set 5, World, System 16B, 8751 317-0098)'],
'wb31':['Sega / Westone', '1988', 'Wonder Boy III - Monster Lair (set 1, System 16A, FD1094 317-0084)'],
'wb32':['Sega / Westone', '1988', 'Wonder Boy III - Monster Lair (set 2, Japan, System 16B, FD1094 317-0085)'],
'wb33':['Sega / Westone', '1988', 'Wonder Boy III - Monster Lair (set 3, World, System 16B, FD1094 317-0089)'],
'wb34':['Sega / Westone', '1988', 'Wonder Boy III - Monster Lair (set 4, Japan, System 16B, FD1094 317-0087)'],
'wc90':['Tecmo', '1989', "World Cup '90 (set 1)"],
'wc90a':['Tecmo', '1989', "World Cup '90 (set 2)"],
'wc90t':['Tecmo', '1989', "World Cup '90 (trackball)"],
'wh1':['Alpha Denshi Co.', '1992', 'World Heroes (set 1)'],
'wh1h':['Alpha Denshi Co.', '1992', 'World Heroes (set 2)'],
'wh1ha':['Alpha Denshi Co.', '1992', 'World Heroes (set 3)'],
'wh2':['ADK', '1993', 'World Heroes 2'],
'wh2j':['ADK / SNK', '1994', 'World Heroes 2 Jet (set 1)'],
'wh2jh':['ADK / SNK', '1994', 'World Heroes 2 Jet (set 2)'],
'whp':['ADK / SNK', '1995', 'World Heroes Perfect'],
'willow':['Capcom', '1989', 'Willow (US)'],
'willowj':['Capcom', '1989', 'Willow (Japan, Japanese)'],
'willowje':['Capcom', '1989', 'Willow (Japan, English)'],
'wintbob':['bootleg', '1990', 'The Winter Bobble (bootleg) [Bootleg]'],
'wjammers':['Data East Corporation', '1994', 'Windjammers - flying disc game'],
'wof':['Capcom', '1992', 'Warriors of Fate (921002 etc)'],
'wofa':['Capcom', '1992', 'Sangokushi II (921005 Asia)'],
'wofj':['Capcom', '1992', 'Tenchi wo Kurau II - Sekiheki no Tatakai (921031 Japan)'],
'wofu':['Capcom', '1992', 'Warriors of Fate (921031 USA)'],
'wonder3':['Capcom', '1991', 'Wonder 3 (910520 Japan)'],
'woodpek':['Amenip (Palcom Queen River)', '1981', 'Woodpecker (set 1)'],
'wrestwa1':['Sega', '1988', 'Wrestle War (set 1, Japan, FD1094 317-0090) [Incomplete Sound]'],
'wrestwa2':['Sega', '1988', 'Wrestle War (set 2, World, FD1094 317-0102) [Incomplete Sound]'],
'wrestwar':['Sega', '1988', 'Wrestle War (set 3, World, 8751 317-0103) [Incomplete Sound]'],
'wwallyj':['Sega', '1992', 'Wally wo Sagase! (rev B, Japan, FD1094 317-0197B) [Incomplete Sound]'],
'wwallyja':['Sega', '1992', 'Wally wo Sagase! (rev A, Japan, FD1094 317-0197A) [Incomplete Sound]'],
'xmcota':['Capcom', '1995', 'X-Men - children of the atom (950105 Euro)'],
'xmcotaa':['Capcom', '1995', 'X-Men - children of the atom (941217 Asia)'],
'xmcotah':['Capcom', '1995', 'X-Men - children of the atom (950331 Hispanic)'],
'xmcotaj':['Capcom', '1994', 'X-Men - children of the atom (941222 Japan)'],
'xmcotaj1':['Capcom', '1994', 'X-Men - children of the atom (941219 Japan)'],
'xmcotaj2':['Capcom', '1994', 'X-Men - children of the atom (941217 Japan)'],
'xmcotajr':['Capcom', '1994', 'X-Men - children of the atom (941208 Japan, rent version)'],
'xmcotau':['Capcom', '1995', 'X-Men - children of the atom (950105 USA)'],
'xmvsf':['Capcom', '1996', 'X-Men vs Street Fighter (961004 Euro)'],
'xmvsfa':['Capcom', '1996', 'X-Men vs Street Fighter (961023 Asia)'],
'xmvsfar1':['Capcom', '1996', 'X-Men vs Street Fighter (960919 Asia)'],
'xmvsfb':['Capcom', '1996', 'X-Men vs Street Fighter (961023 Brazil)'],
'xmvsfh':['Capcom', '1996', 'X-Men vs Street Fighter (961004 Hispanic)'],
'xmvsfj':['Capcom', '1996', 'X-Men vs Street Fighter (961004 Japan)'],
'xmvsfjr1':['Capcom', '1996', 'X-Men vs Street Fighter (960910 Japan)'],
'xmvsfjr2':['Capcom', '1996', 'X-Men vs Street Fighter (960909 Japan)'],
'xmvsfr1':['Capcom', '1996', 'X-Men vs Street Fighter (960910 Euro)'],
'xmvsfu':['Capcom', '1996', 'X-Men vs Street Fighter (961023 USA)'],
'xmvsfur1':['Capcom', '1996', 'X-Men vs Street Fighter (961004 USA)'],
'zedblade':['NMK', '1994', 'Zed Blade'],
'zerowing':['Toaplan', '1989', 'Zero Wing'],
'zerowng2':['[Toaplan] Williams Electronics Games, Inc', '1989', 'Zero Wing (2 player simultaneous ver.)'],
'zintrckb':['ADK / SNK', '1996', 'Zintrick (hack / bootleg) [Bootleg]'],
'zupapa':['SNK', '2001', 'Zupapa!'],
'zzyzzyx2':['Cinematronics + Advanced Microcomputer Systems', '1982', 'Zzyzzyxx (set 2)'],
'zzyzzyxx':['Cinematronics + Advanced Microcomputer Systems', '1982', 'Zzyzzyxx (set 1)'],
}